package org.jeecg.common.system.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 用户信息
 * @author czm
 * @date 2021/8/14 20:56
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class UserVO {


      /**
       * id
       */
      private String id;

      /**
       * 登录账号
       */
      private String username;

      /**
       * 真实姓名
       */
      private String realname;

      /**
       * 密码
       */
      private String password;

      /**
       * md5密码盐
       */
      private String salt;

      /**
       * 头像
       */
      private String avatar;

      /**
       * 生日
       */
      @Excel(name = "生日", width = 15, format = "yyyy-MM-dd")
      @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
      @DateTimeFormat(pattern = "yyyy-MM-dd")
      private Date birthday;

      /**
       * 性别（1：男 2：女）
       */
      @Excel(name = "性别", width = 15,dicCode="sex")
      @Dict(dicCode = "sex")
      private Integer sex;

      /**
       * 电子邮件
       */
      private String email;

      /**
       * 电话
       */
      private String phone;

      /**
       * 部门code(当前选择登录部门)
       */
      private String orgCode;

      /**部门名称*/
      @Excel(name="部门",width = 15 )
      private transient String orgCodeTxt;

      /**
       * 负责部门
       */
      @Dict(dictTable ="sys_depart",dicText = "depart_name",dicCode = "id")
      private String departIds;

      /**
       * 状态(1：正常  2：冻结 ）
       */
      @Dict(dicCode = "user_status")
      private Integer status;

      /**
       * 删除状态（0，正常，1已删除）
       */
//    @Excel(name = "删除状态", width = 15,dicCode="del_flag")
      @TableLogic
      private Integer delFlag;

      /**
       * 工号，唯一键
       */
//    @Excel(name = "工号", width = 15)
      private String workNo;

      /**
       * 职务，关联职务表
       */
//    @Excel(name = "职务", width = 15)
      @Dict(dictTable ="sys_position",dicText = "name",dicCode = "code")
      private String post;

      /**
       * 座机号
       */
//    @Excel(name = "座机号", width = 15)
      private String telephone;

      /**
       * 创建人
       */
      private String createBy;

      /**
       * 创建时间
       */
      private Date createTime;

      /**
       * 更新人
       */
      private String updateBy;

      /**
       * 更新时间
       */
      private Date updateTime;
      /**
       * 同步工作流引擎1同步0不同步
       */
      private Integer activitiSync;

      /**
       * 身份（0 普通成员 1 上级）
       */
//    @Excel(name="（1普通成员 2上级）",width = 15)
      private Integer userIdentity;

      /**
       * 多租户id配置，编辑用户的时候设置
       */
      private String relTenantIds;

      /**设备id uniapp推送用*/
      private String clientId;
   }

