package org.jeecg.common;

/**
 * 系统常量
 *
 * @author yao.sun
 * @data 2018-01-14
 */
public class Constant {

    /**
     * 超级管理员ID
     */
    public static final String SUPER_ADMIN = "admin";


    /*********************** 工作流 start *******************************/

    public static final String ACT_BPMN20 = ".bpmn20.xml";
    public static final String ACT_IMAGE = "image";
    public static final String ACT_XML = "xml";
    public static final String ACT_PNG = "png";
    public static final String ACT_BAR = "bar";
    public static final String ACT_ZIP = "zip";
    public static final String ACT_BPMN = "bpmn";

    public static final int ACT_ONE = 1;
    public static final int ACT_TWO = 2;
    public static final int ACT_THREE = 3;

    public static final String ACT_ASSIGNEE = "assignee";
    public static final String ACT_CANDIDATE = "candidate";
    public static final String ACT_CANDIDATE_GROUP = "group";



    /**
     * UTF-8 字符集
     */
    public static final String UTF8 = "UTF-8";

    /**
     * GBK 字符集
     */
    public static final String GBK = "GBK";

    /**
     * 工作流 审批记录
     */
    public static final String ACT_APPLY_OPINION_LIST = "applyOpinionList";

    /**
     * 工作流 审批任务实例
     */
    public static final String ACT_BASE_TASK = "baseTask";
    /**
     * 工作流 业务键
     */
    public static final String ACT_BUSINESS_KEY = "businessKey";

    /**
     * 工作流  发起审批人
     */
    public static final String ACT_APPLY_USER = "applyUser";

    /**
     * 工作流会签人员列表
     */
    public static final String ACT_APPLY_ASSIGNEE_LIST = "assigneeList";

    /**
     * 工作流  审批标识
     */
    public static final String ACT_TASK_FLAG = "flag";

    /**
     * 工作流 项目经理
     */
    public static final String ACT_PRIJECT_MANAGER_USER = "projectManager";





    /**
     * 工作流 流转条件
     */
    public static final String ACT_FLOW_TOTAL = "total";
    public static final String ACT_FLOW_BUDGET_DEPT_DTO = "budgetDeptDto";  //多实例预算部门信息
    public static final String ACT_FLOW_DEPT_DTOS = "deptDtos";  //多实例预算部门信息集合

    /**
     * 工作流 流程状态 0进行中,1已结束
     */
    public static final String ACT_TASK_QUERY_STATUS_RUN = "0";
    public static final String ACT_TASK_STATUS_END = "1";

    /**
     * 是否
     */
    public static final String YES = "1";
    public static final String NO = "0";


    /**
     * 流程表单可操作状态 1 是,其余否
     */
    //可否被撤回
    public static final String APPROVAL_HANDLE_WITHDRAW = "canWithdraw";
    //可否被修改
    public static final String APPROVAL_HANDLE_MODIFY = "canModify";
    //可否重新申请
    public static final String APPROVAL_HANDLE_REAPPLY = "canReapply";
    /**
     * 流程审批结果最终状态
     */
    public static final String APPROVAL_RESULT_STATUS  = "finalState";

    /**
     * 删除状态
     */
    public enum DelFlag {
        /**
         * 删除
         */
        DELETE(-1),
        /**
         * 正常
         */
        NORMAL(0);

        private int value;

        DelFlag(int value) {
            this.value = value;
        }

        public int getValue() {
            return value;
        }
    }

}
