package org.jeecg.common.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.Map;

/**
 * 扩展基础实体
 * 审批
 * @author yao
 * @since 2019/1/23 10:04
 */
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class BaseTaskEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 发起审批id
     */
    //@TableId(type = IdType.INPUT)
    protected String id;

    /**
     * 部门id
     */

    private String deptId;

    /**
     * 流程实例id
     */
    private String processInstanceId;

    /**
     * 流程名称
     */
    private String processInstanceName;

    /**
     * 流程key
     */
    private String processKey;

    /**
     * 审配表单Key
     */
    private String formKey;

    /**
     * 申请人用户id
     */
    private String userId;

    /**
     * 申请人姓名
     */
    private String userName;


    /**
     * 备注
     */
    private String remarks;

    /**
     * 审批记录
     */
    private String opinionStr;

    /**
     * 流程结束时间
     */
    private Date completeTime;

    /**
     * 审批状态 0未开始，1进行中，2已结束
     */
    private String applyStatus;

    /**
     * 最终审批结果 0未通过 1通过, 2审批中,3申请取消
     */
    private String result;


    /**
     * 存放流程变量
     */
    @TableField(exist = false)
    private Map<String, Object> param;

}
