package org.jeecg.common.base.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 系统用户
 *
 * @author yao.sun
 * @data 2018-01-14
 */
@Data
public class BaseVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 单位id
     */
    private String tenantId;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date modifyTime;

    /**
     * 创建人
     */
    private BaseUserVO createUser;

    /**
     * 修改人
     */
    private BaseUserVO modifyUser;

    @Data
    public class BaseUserVO {
        /**
         * 用户名
         */
        private String username;

        /**
         * 姓名
         */
        private String name;

        /**
         * 部门id
         */
        private String deptId;

        /**
         * 部门名称
         */
        private String deptName;
    }

}
