package org.jeecg.modules.activiti.model.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 模型
 *
 * @author yao
 * @date 2019/06/12
 */
@Data
@TableName("ACT_RE_MODEL")
public class ReModelEntity implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     *
     */
    @TableId
    private String id;
    /**
     * 乐观锁版本号
     */
    private Integer rev;
    /**
     * 模型的名称
     */
    private String name;
    /**
     * 模型的关键字，流程引擎用到。
     */
    private String key;
    /**
     * 类型，用户自己对流程模型的分类。
     */
    private String category;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
    /**
     * 最后修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date lastUpdateTime;
    /**
     * 版本，从1开始。
     */
    private Integer version;
    /**
     * 数据源信息，以json格式保存流程定义的信息
     */
    private String metaInfo;
    /**
     * 部署ID
     */
    private String deploymentId;
    /**
     * 编辑源值ID，是 ACT_GE_BYTEARRAY 表中的ID_值。
     */
    private String editorSourceValueId;
    /**
     * 编辑源额外值ID，是 ACT_GE_BYTEARRAY 表中的ID_值。
     */
    private String editorSourceExtraValueId;
    /**
     * TENANT_ID_
     * 租户
     */
    private String tenantId;

    @TableField(exist = false)
    private String description;
}
