package org.jeecg.modules.apply.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.jeecg.common.base.entity.BaseTaskEntity;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: apply_leave
 * @Author: jeecg-boot
 * @Date:   2021-08-18
 * @Version: V1.0
 */
@Data
@TableName("apply_leave")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="apply_leave对象", description="apply_leave")
public class ApplyLeave extends BaseTaskEntity{


   /**部门名称*/
   @Excel(name = "部门名称")
   @ApiModelProperty(value = "部门名称")
   private String deptName;

   /**是否删除*/
   @Excel(name = "是否删除")
   @ApiModelProperty(value = "是否删除")
   @TableField(fill = FieldFill.INSERT)
   private String delFlag;
   /**天数*/
   @Excel(name = "天数")
   @ApiModelProperty(value = "天数")
   private Integer total;

   /**创建人*/
   @ApiModelProperty(value = "创建人")
   private String createBy;
   /**创建时间 */
   @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
   @DateTimeFormat(pattern="yyyy-MM-dd")
   @ApiModelProperty(value = "创建时间 ")
   private Date createTime;
   /**更新人*/
   @ApiModelProperty(value = "更新人")
   private String updateBy;
   /**更新时间*/
   @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
   @DateTimeFormat(pattern="yyyy-MM-dd")
   @ApiModelProperty(value = "更新时间")
   private Date updateTime;

}
