package org.jeecg.modules.approval.model.vo;

import lombok.Data;
import org.activiti.engine.impl.persistence.entity.AttachmentEntityImpl;
import org.jeecg.common.system.vo.LoginUser;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 申请流程 审批信息
 *
 * @author yao
 */
@Data
public class ApprovalOpinionVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 审批人id
     */
    private String opId;
    /**
     * 审批人姓名
     */
    private String opName;
    /**
     * 审批意见
     */
    private String opinion;
    /**
     * 审批时间
     */
    private Date createTime;
    /**
     * 是否通过 0拒绝,1同意,2驳回
     */
    private String flag;
    /**
     * 流程任务id
     */
    private String taskId;
    /**
     * 当前节点名称
     */
    private String taskNodeName;

    /**
     * 附件
     */
    private List<AttachmentEntityImpl> attachments;

    /**
     * 下一步审核人是否默认 0 默认,1 审批人指定
     */
    private String defNextAssignee;

    /**
     * 指定的下一步审核人
     */
    private LoginUser nextAssignee;

    /**
     * 驳回到指定节点id
     */
    private String runNodeId;

    /**
     * id
     */
    private String id;
}
