package org.jeecg.modules.baogao.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 报告生成
 * @Author: jeecg-boot
 * @Date:   2023-05-19
 * @Version: V1.0
 */
@Data
@TableName("itdm_baogao")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="itdm_baogao对象", description="报告生成")
public class ItdmBaogao implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private String sysOrgCode;
	/**委托编号*/
	@Excel(name = "委托编号", width = 15)
    @ApiModelProperty(value = "委托编号")
    private String weituoNo;
	/**委托id*/
	@Excel(name = "委托id", width = 15)
    @ApiModelProperty(value = "委托id")
    private String weituoId;
	/**委托单位名称*/
	@Excel(name = "委托单位名称", width = 15)
    @ApiModelProperty(value = "委托单位名称")
    private String weituoClient;
	/**委托样品列表*/
	@Excel(name = "委托样品列表", width = 15)
    @ApiModelProperty(value = "委托样品列表")
    private String sampleNames;
	/**委托样品id列表*/
	@Excel(name = "委托样品id列表", width = 15)
    @ApiModelProperty(value = "委托样品id列表")
    private String sampleIds;
	/**委托联系人*/
	@Excel(name = "委托联系人", width = 15)
    @ApiModelProperty(value = "委托联系人")
    private String weituoLxr;
	/**委托样品检测Id列表*/
	@Excel(name = "委托样品检测Id列表", width = 15)
    @ApiModelProperty(value = "委托样品检测Id列表")
    private String testItemsIds;
	/**委托样品检测列表*/
	@Excel(name = "委托样品检测列表", width = 15)
    @ApiModelProperty(value = "委托样品检测列表")
    private String testItemsNames;
	/**报告类型*/
	@Excel(name = "报告类型", width = 15)
    @ApiModelProperty(value = "报告类型")


    @Dict(dictTable ="itdm_moban",dicText = "name",dicCode = "id")


    private String baogaoType;
	/**报告文件地址*/
	@Excel(name = "报告文件地址", width = 15)
    @ApiModelProperty(value = "报告文件地址")
    private String filePath;
}
