package org.jeecg.modules.chuanganqi.controller;

import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.lang3.StringUtils;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.system.query.QueryGenerator;
import org.jeecg.common.util.oConvertUtils;
import org.jeecg.modules.chuanganqi.entity.ItdmChuanganqi;
import org.jeecg.modules.chuanganqi.service.IItdmChuanganqiService;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.extern.slf4j.Slf4j;

import org.jeecg.modules.itdmPersonManage.entity.ItdmPersonManage;
import org.jeecgframework.poi.excel.ExcelImportUtil;
import org.jeecgframework.poi.excel.def.NormalExcelConstants;
import org.jeecgframework.poi.excel.entity.ExportParams;
import org.jeecgframework.poi.excel.entity.ImportParams;
import org.jeecgframework.poi.excel.view.JeecgEntityExcelView;
import org.jeecg.common.system.base.controller.JeecgController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.multipart.MultipartHttpServletRequest;
import org.springframework.web.servlet.ModelAndView;
import com.alibaba.fastjson.JSON;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.jeecg.common.aspect.annotation.AutoLog;

 /**
 * @Description: 传感器管理
 * @Author: jeecg-boot
 * @Date:   2023-05-17
 * @Version: V1.0
 */
@Api(tags="传感器管理")
@RestController
@RequestMapping("/chuanganqi/itdmChuanganqi")
@Slf4j
public class ItdmChuanganqiController extends JeecgController<ItdmChuanganqi, IItdmChuanganqiService> {
	@Autowired
	private IItdmChuanganqiService itdmChuanganqiService;

	 /**
	  * 传感器下拉列表
	  */
	 @ApiOperation(value="传感器下拉列表", notes="传感器下拉列表")
	 @GetMapping("/xialalist")
	 public List<ItdmChuanganqi> list1()
	 {
		 List<ItdmChuanganqi> list = itdmChuanganqiService.queryList();
		 return list;
	 }


	/**
	 * 分页列表查询
	 *
	 * @param itdmChuanganqi
	 * @param pageNo
	 * @param pageSize
	 * @param req
	 * @return
	 */
	//@AutoLog(value = "传感器管理-分页列表查询")
	@ApiOperation(value="传感器管理-分页列表查询", notes="传感器管理-分页列表查询")
	@GetMapping(value = "/list")
	public Result<IPage<ItdmChuanganqi>> queryPageList(ItdmChuanganqi itdmChuanganqi,
								   @RequestParam(name="pageNo", defaultValue="1") Integer pageNo,
								   @RequestParam(name="pageSize", defaultValue="10") Integer pageSize,
								   HttpServletRequest req) {
		ItdmChuanganqi itdmChuanganqi1 = new ItdmChuanganqi();
		QueryWrapper<ItdmChuanganqi> queryWrapper = QueryGenerator.initQueryWrapper(itdmChuanganqi1, req.getParameterMap());
		queryWrapper.lambda().like(StringUtils.isNoneBlank(itdmChuanganqi.getXuliehao()),ItdmChuanganqi::getXuliehao,itdmChuanganqi.getXuliehao());
		Page<ItdmChuanganqi> page = new Page<ItdmChuanganqi>(pageNo, pageSize);
		IPage<ItdmChuanganqi> pageList = itdmChuanganqiService.page(page, queryWrapper);
		return Result.OK(pageList);
	}

	/**
	 *   添加
	 *
	 * @param itdmChuanganqi
	 * @return
	 */
	@AutoLog(value = "传感器管理-添加")
	@ApiOperation(value="传感器管理-添加", notes="传感器管理-添加")
	//@RequiresPermissions("org.jeecg.modules:itdm_chuanganqi:add")
	@PostMapping(value = "/add")
	public Result<String> add(@RequestBody ItdmChuanganqi itdmChuanganqi) {
		itdmChuanganqiService.save(itdmChuanganqi);
		return Result.OK("添加成功！");
	}

	/**
	 *  编辑
	 *
	 * @param itdmChuanganqi
	 * @return
	 */
	@AutoLog(value = "传感器管理-编辑")
	@ApiOperation(value="传感器管理-编辑", notes="传感器管理-编辑")
	//@RequiresPermissions("org.jeecg.modules:itdm_chuanganqi:edit")
	@RequestMapping(value = "/edit", method = {RequestMethod.PUT,RequestMethod.POST})
	public Result<String> edit(@RequestBody ItdmChuanganqi itdmChuanganqi) {
		itdmChuanganqiService.updateById(itdmChuanganqi);
		return Result.OK("编辑成功!");
	}

	/**
	 *   通过id删除
	 *
	 * @param id
	 * @return
	 */
	@AutoLog(value = "传感器管理-通过id删除")
	@ApiOperation(value="传感器管理-通过id删除", notes="传感器管理-通过id删除")
	//@RequiresPermissions("org.jeecg.modules:itdm_chuanganqi:delete")
	@DeleteMapping(value = "/delete")
	public Result<String> delete(@RequestParam(name="id",required=true) String id) {
		itdmChuanganqiService.removeById(id);
		return Result.OK("删除成功!");
	}

	/**
	 *  批量删除
	 *
	 * @param ids
	 * @return
	 */
	@AutoLog(value = "传感器管理-批量删除")
	@ApiOperation(value="传感器管理-批量删除", notes="传感器管理-批量删除")
	//@RequiresPermissions("org.jeecg.modules:itdm_chuanganqi:deleteBatch")
	@DeleteMapping(value = "/deleteBatch")
	public Result<String> deleteBatch(@RequestParam(name="ids",required=true) String ids) {
		this.itdmChuanganqiService.removeByIds(Arrays.asList(ids.split(",")));
		return Result.OK("批量删除成功!");
	}

	/**
	 * 通过id查询
	 *
	 * @param id
	 * @return
	 */
	//@AutoLog(value = "传感器管理-通过id查询")
	@ApiOperation(value="传感器管理-通过id查询", notes="传感器管理-通过id查询")
	@GetMapping(value = "/queryById")
	public Result<ItdmChuanganqi> queryById(@RequestParam(name="id",required=true) String id) {
		ItdmChuanganqi itdmChuanganqi = itdmChuanganqiService.getById(id);
		if(itdmChuanganqi==null) {
			return Result.error("未找到对应数据");
		}
		return Result.OK(itdmChuanganqi);
	}

    /**
    * 导出excel
    *
    * @param request
    * @param itdmChuanganqi
    */
    //@RequiresPermissions("org.jeecg.modules:itdm_chuanganqi:exportXls")
    @RequestMapping(value = "/exportXls")
    public ModelAndView exportXls(HttpServletRequest request, ItdmChuanganqi itdmChuanganqi) {
        return super.exportXls(request, itdmChuanganqi, ItdmChuanganqi.class, "传感器管理");
    }

    /**
      * 通过excel导入数据
    *
    * @param request
    * @param response
    * @return
    */
    //@RequiresPermissions("itdm_chuanganqi:importExcel")
    @RequestMapping(value = "/importExcel", method = RequestMethod.POST)
    public Result<?> importExcel(HttpServletRequest request, HttpServletResponse response) {
        return super.importExcel(request, response, ItdmChuanganqi.class);
    }

}
