package org.jeecg.modules.flowpath.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 运行流程表
 * @Author: jeecg-boot
 * @Date:   2023-07-20
 * @Version: V1.0
 */
@Data
@TableName("itdm_run_flow_path")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="itdm_run_flow_path对象", description="运行流程表")
public class ItdmRunFlowPath implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**流程id*/
	@Excel(name = "流程id", width = 15)
    @ApiModelProperty(value = "流程id")
    @Dict(dictTable ="itdm_flow_path", dicCode = "id",dicText = "name")

    private String flowPathId;
	/**名称*/
	@Excel(name = "名称", width = 15)
    @ApiModelProperty(value = "名称")
    private String name;
	/**发起人*/
	@Excel(name = "发起人", width = 15, dictTable = "sys_user", dicText = "realname", dicCode = "username")
	@Dict(dictTable = "sys_user", dicText = "realname", dicCode = "username")
    @ApiModelProperty(value = "发起人")
    private String faqiUser;
	/**委托编号*/
	@Excel(name = "委托编号", width = 15)
    @ApiModelProperty(value = "委托编号")
    private String weituoNo;
	/**当前步骤id*/
	@Excel(name = "当前步骤id", width = 15, dictTable = "itdm_flow_path_step", dicText = "name", dicCode = "id")
	@Dict(dictTable = "itdm_flow_path_step", dicText = "name", dicCode = "id")
    @ApiModelProperty(value = "当前步骤id")
    private String dqSetp;
	/**当前步骤用户*/
	@Excel(name = "当前步骤用户", width = 15)
    @ApiModelProperty(value = "当前步骤用户")
    @Dict(dictTable = "sys_user", dicText = "realname", dicCode = "username")
    private String dqSetpUserIds;
	/**当前步骤角色*/
	@Excel(name = "当前步骤角色", width = 15)
    @Dict(dictTable = "sys_role", dicText = "role_name", dicCode = "id")
    @ApiModelProperty(value = "当前步骤角色")
    private String dqSetpRoleId;
	/**状态*/
	@Excel(name = "状态", width = 15)
    @ApiModelProperty(value = "状态")
    @Dict(dicCode = "liucheng_status")
    private String status;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;


    @TableField(exist = false)
    private Boolean isokview;
    @TableField(exist = false)
    private Boolean isbohuiview;
}
