package org.jeecg.modules.flowpath.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 运行流程步骤日志
 * @Author: jeecg-boot
 * @Date:   2023-07-21
 * @Version: V1.0
 */
@Data
@TableName("itdm_run_flow_path_log")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="itdm_run_flow_path_log对象", description="运行流程步骤日志")
public class ItdmRunFlowPathLog implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**流程id*/
	@Excel(name = "流程id", width = 15)
    @ApiModelProperty(value = "流程id")
    @Dict(dictTable ="itdm_flow_path", dicCode = "id",dicText = "name")
    private String runFlowPath;
	/**当前步骤id*/
	@Excel(name = "当前步骤id", width = 15)
    @ApiModelProperty(value = "当前步骤id")
    private String runFlowPathSetp;
	/**当前步骤名称*/
	@Excel(name = "当前步骤名称", width = 15)
    @ApiModelProperty(value = "当前步骤名称")
    private String runFlowPathSetpName;
	/**描述*/
	@Excel(name = "描述", width = 15)
    @ApiModelProperty(value = "描述")
    private String miaoshu;
	/**顺序*/
	@Excel(name = "顺序", width = 15)
    @ApiModelProperty(value = "顺序")
    private String sort;
	/**执行人*/
	@Excel(name = "执行人", width = 15, dictTable = "sys_user", dicText = "realname", dicCode = "username")
	@Dict(dictTable = "sys_user", dicText = "realname", dicCode = "username")
    @ApiModelProperty(value = "执行人")
    private String fqUser;
	/**下一个节点*/
	@Excel(name = "下一个节点", width = 15)
    @ApiModelProperty(value = "下一个节点")
    private String xiaRunFlowPathSetp;
	/**下一个节点名称*/
	@Excel(name = "下一个节点名称", width = 15)
    @ApiModelProperty(value = "下一个节点名称")
    private String xiaRunFlowPathSetpName;
	/**类型*/
	@Excel(name = "类型", width = 15)
    @ApiModelProperty(value = "类型")
    private String type;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
}
