package org.jeecg.modules.flowpath.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 运行流程步骤表
 * @Author: jeecg-boot
 * @Date:   2023-07-20
 * @Version: V1.0
 */
@Data
@TableName("itdm_run_flow_path_step")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="itdm_run_flow_path_step对象", description="运行流程步骤表")
public class ItdmRunFlowPathStep implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**流程id*/
	@Excel(name = "流程id", width = 15)
    @ApiModelProperty(value = "流程id")
    private String flowPath;

    @Excel(name = "运行流程id", width = 15)
    @ApiModelProperty(value = "运行流程id")
    @Dict(dictTable ="itdm_run_flow_path", dicCode = "id",dicText = "name")
    private java.lang.String runFlowPath;
	/**流程步骤id*/
	@Excel(name = "流程步骤id", width = 15)
    @ApiModelProperty(value = "流程步骤id")
    private String flowPathSetp;
	/**步骤名称*/
	@Excel(name = "步骤名称", width = 15)
    @ApiModelProperty(value = "步骤名称")
    private String name;
	/**最后修改人员*/
	@Excel(name = "最后修改人员", width = 15, dictTable = "sys_user", dicText = "realname", dicCode = "username")
	@Dict(dictTable = "sys_user", dicText = "realname", dicCode = "username")
    @ApiModelProperty(value = "最后修改人员")
    private String fqUser;
	/**所属用户*/
	@Excel(name = "所属用户", width = 15)
    @ApiModelProperty(value = "所属用户")
    private String userIds;
	/**所属角色*/
	@Excel(name = "所属角色", width = 15)
    @ApiModelProperty(value = "所属角色")
    private String roleId;
	/**步骤顺序*/
	@Excel(name = "步骤顺序", width = 15)
    @ApiModelProperty(value = "步骤顺序")
    private String sort;
	/**表单数据*/
	@Excel(name = "表单数据", width = 15)
    @ApiModelProperty(value = "表单数据")
    private String saveData;


    @Excel(name = "审核时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "审核时间")
    private java.util.Date shenheTime;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
}
