package org.jeecg.modules.inventory.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 库存日志
 * @Author: jeecg-boot
 * @Date:   2023-06-26
 * @Version: V1.0
 */
@Data
@TableName("itdm_inventory_log")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="itdm_inventory_log对象", description="库存日志")
public class ItdmInventoryLog implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**类型（入库、出库）*/
	@Excel(name = "类型（入库、出库）", width = 15)
    @ApiModelProperty(value = "类型（入库、出库）")
    @Dict(dicCode = "inventory_type")

    private java.lang.String type;
	/**条码*/
	@Excel(name = "条码", width = 15)
    @ApiModelProperty(value = "条码")
    private java.lang.String barCode;
	/**样品库存id*/
	@Excel(name = "样品库存id", width = 15)
    @ApiModelProperty(value = "样品库存id")

    @Dict(dicCode = "id",dictTable = "itdm_sample_inventory",dicText = "sample_name")

    private java.lang.String inventoryId;
	/**数量 用来同步*/
	@Excel(name = "数量 用来同步", width = 15)
    @ApiModelProperty(value = "数量 用来同步")
    private java.lang.String num;
	/**使用人员（入库借出和出库归还）*/
	@Excel(name = "使用人员（入库借出和出库归还）", width = 15, dictTable = "sys_user", dicText = "realname", dicCode = "username")
    @ApiModelProperty(value = "使用人员（入库借出和出库归还）")

    @Dict(dicCode = "username",dictTable = "sys_user",dicText = "realname")

    private java.lang.String useBy;
    /**
     * 库管人员（当前登录或者自己填写）
     */
    @Excel(name = "库管人员（当前登录或者自己填写）", width = 15, dictTable = "sys_user", dicText = "realname", dicCode = "username")
    @ApiModelProperty(value = "库管人员（当前登录或者自己填写）")
    @Dict(dicCode = "username", dictTable = "sys_user", dicText = "realname")

    private java.lang.String warehouseBy;
	/**使用时间*/
	@Excel(name = "使用时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "使用时间")
    private java.util.Date useTime;
	/**备注*/
	@Excel(name = "备注", width = 15)
    @ApiModelProperty(value = "备注")
    private java.lang.String remark;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
}
