package org.jeecg.modules.inventory.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 样品库存
 * @Author: jeecg-boot
 * @Date:   2023-06-25
 * @Version: V1.0
 */
@Data
@TableName("itdm_sample_inventory")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="itdm_sample_inventory对象", description="样品库存")
public class ItdmSampleInventory implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**样品名称*/
	@Excel(name = "样品名称", width = 15)
    @ApiModelProperty(value = "样品名称")
    private String sampleName;
	/**样品规格*/
	@Excel(name = "样品规格", width = 15)
    @ApiModelProperty(value = "样品规格")
    private String sampleSpecifications;
	/**样品数量*/
	@Excel(name = "样品数量", width = 15)
    @ApiModelProperty(value = "样品数量")
    private Integer sampleNum;
	/**生产厂家*/
	@Excel(name = "生产厂家", width = 15)
    @ApiModelProperty(value = "生产厂家")
    private String sampleManufacturer;
	/**批次号*/
	@Excel(name = "批次号", width = 15)
    @ApiModelProperty(value = "批次号")
    private String batchNumber;
	/**样品分类*/
	@Excel(name = "样品分类", width = 15)
    @ApiModelProperty(value = "样品分类")
    @Dict(dicCode = "id",dictTable = "itdm_sample_classification",dicText = "name")

    private String sampleClassifications;
	/**样品单位*/
	@Excel(name = "样品单位", width = 15)
    @ApiModelProperty(value = "样品单位")
    private String sampleUnit;
	/**样品状态（是否损坏）*/
	@Excel(name = "样品状态（是否损坏）", width = 15)
    @ApiModelProperty(value = "样品状态（是否损坏）")

    @Dict(dicCode = "sample_status")

    private String sampleStatus;
	/**样品类型（用来判断生成条码）*/
	@Excel(name = "样品类型（用来判断生成条码）", width = 15)
    @ApiModelProperty(value = "样品类型（用来判断生成条码）")
    private String sampleType;
	/**样品存放位置*/
	@Excel(name = "样品存放位置", width = 15)
    @ApiModelProperty(value = "样品存放位置")
    private String samplePosition;
	/**状态*/
	@Excel(name = "状态", width = 15)
    @ApiModelProperty(value = "状态")
    private String status;
	/**备注*/
	@Excel(name = "备注", width = 15)
    @ApiModelProperty(value = "备注")
    private String remark;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private String sysOrgCode;
}
