package org.jeecg.modules.itdmDataNow.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: itdm_alarm_now
 * @Author: jeecg-boot
 * @Date:   2023-06-02
 * @Version: V1.0
 */
@Data
@TableName("itdm_alarm_now")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="itdm_alarm_now对象", description="itdm_alarm_now")
public class ItdmAlarmNow implements Serializable {
    private static final long serialVersionUID = 1L;

	/**实时报警id*/
    @ApiModelProperty(value = "实时报警id")
    private java.lang.Integer id;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**设备id*/
	@Excel(name = "设备id", width = 15, dictTable = "itdm_device", dicText = "device_name", dicCode = "id")
	@Dict(dictTable = "itdm_device", dicText = "device_name", dicCode = "id")
    @ApiModelProperty(value = "设备id")
    private java.lang.String deviceId;
	/**设备名称*/
	@Excel(name = "设备名称", width = 15)
    @ApiModelProperty(value = "设备名称")
    private java.lang.String deviceName;
	/**设备类型*/
	@Excel(name = "设备类型", width = 15)
    @ApiModelProperty(value = "设备类型")
    private java.lang.String deviceType;
	/**数据类型*/
	@Excel(name = "数据类型", width = 15)
    @ApiModelProperty(value = "数据类型")
    private java.lang.String valueType;
	/**数据状态,0正常1报警*/
	@Excel(name = "数据状态,0正常1报警", width = 15, dicCode = "data_status")
	@Dict(dicCode = "data_status")
    @ApiModelProperty(value = "数据状态,0正常1报警")
    private java.lang.Integer dataStatus;
	/**数据实时值*/
	@Excel(name = "数据实时值", width = 15)
    @ApiModelProperty(value = "数据实时值")
    private java.math.BigDecimal value;
	/**数据上限*/
	@Excel(name = "数据上限", width = 15)
    @ApiModelProperty(value = "数据上限")
    private java.math.BigDecimal maxValue;
	/**数据下限*/
	@Excel(name = "数据下限", width = 15)
    @ApiModelProperty(value = "数据下限")
    private java.math.BigDecimal minValue;
	/**是否语音播报,0关闭1开启*/
	@Excel(name = "是否语音播报,0关闭1开启", width = 15, dicCode = "voice_status")
	@Dict(dicCode = "voice_status")
    @ApiModelProperty(value = "是否语音播报,0关闭1开启")
    private java.lang.Integer voiceStatus;
}
