package org.jeecg.modules.itdmDataNow.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 温箱实时数据
 * @Author: jeecg-boot
 * @Date:   2023-05-27
 * @Version: V1.0
 */
@Data
@TableName("itdm_wenxiang_now")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="itdm_wenxiang_now对象", description="温箱实时数据")
public class ItdmWenxiangNow implements Serializable {
    private static final long serialVersionUID = 1L;

	/**温箱数据id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "温箱数据id")
    private java.lang.Integer id;
	/**设备id*/
	@Excel(name = "设备id", width = 15)
    @ApiModelProperty(value = "设备id")
    private java.lang.String deviceId;
	/**设备名称*/
	@Excel(name = "设备名称", width = 15)
    @ApiModelProperty(value = "设备名称")
    private java.lang.String deviceName;
	/**设备编号*/
	@Excel(name = "设备编号", width = 15)
    @ApiModelProperty(value = "设备编号")
    private java.lang.String deviceNo;
	/**温度*/
	@Excel(name = "温度", width = 15)
    @ApiModelProperty(value = "温度")
    private java.math.BigDecimal temperature;
	/**温度上限*/
	@Excel(name = "温度上限", width = 15)
    @ApiModelProperty(value = "温度上限")
    private java.math.BigDecimal temperatureMax;
	/**温度下限*/
	@Excel(name = "温度下限", width = 15)
    @ApiModelProperty(value = "温度下限")
    private java.math.BigDecimal temperatureMin;
	/**温度报警（0正常1报警）*/
	@Excel(name = "温度报警（0正常1报警）", width = 15)
    @ApiModelProperty(value = "温度报警（0正常1报警）")
    private java.lang.Integer temperatureAlarm;
	/**A相电流报警（0正常1报警）*/
	@Excel(name = "A相电流报警（0正常1报警）", width = 15)
    @ApiModelProperty(value = "A相电流报警（0正常1报警）")
    private java.lang.Integer currentAAlarm;
	/**B相电流下限*/
	@Excel(name = "B相电流下限", width = 15)
    @ApiModelProperty(value = "B相电流下限")
    private java.math.BigDecimal currentBMin;
	/**C相电流下限*/
	@Excel(name = "C相电流下限", width = 15)
    @ApiModelProperty(value = "C相电流下限")
    private java.math.BigDecimal currentCMin;
	/**湿度*/
	@Excel(name = "湿度", width = 15)
    @ApiModelProperty(value = "湿度")
    private java.math.BigDecimal humidity;
	/**C相电流报警（0正常1报警）*/
	@Excel(name = "C相电流报警（0正常1报警）", width = 15)
    @ApiModelProperty(value = "C相电流报警（0正常1报警）")
    private java.lang.Integer currentCAlarm;
	/**A相电流上限*/
	@Excel(name = "A相电流上限", width = 15)
    @ApiModelProperty(value = "A相电流上限")
    private java.math.BigDecimal currentAMax;
	/**B相电流报警（0正常1报警）*/
	@Excel(name = "B相电流报警（0正常1报警）", width = 15)
    @ApiModelProperty(value = "B相电流报警（0正常1报警）")
    private java.lang.Integer currentBAlarm;
	/**创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private java.util.Date createTime;
	/**A相电流*/
	@Excel(name = "A相电流", width = 15)
    @ApiModelProperty(value = "A相电流")
    private java.math.BigDecimal currentA;
	/**湿度上限*/
	@Excel(name = "湿度上限", width = 15)
    @ApiModelProperty(value = "湿度上限")
    private java.math.BigDecimal humidityMax;
	/**湿度报警（0正常1报警）*/
	@Excel(name = "湿度报警（0正常1报警）", width = 15)
    @ApiModelProperty(value = "湿度报警（0正常1报警）")
    private java.lang.Integer humidityAlarm;
	/**B相电流上限*/
	@Excel(name = "B相电流上限", width = 15)
    @ApiModelProperty(value = "B相电流上限")
    private java.math.BigDecimal currentBMax;
	/**B相电流*/
	@Excel(name = "B相电流", width = 15)
    @ApiModelProperty(value = "B相电流")
    private java.math.BigDecimal currentB;
	/**C相电流*/
	@Excel(name = "C相电流", width = 15)
    @ApiModelProperty(value = "C相电流")
    private java.math.BigDecimal currentC;
	/**A相电流下限*/
	@Excel(name = "A相电流下限", width = 15)
    @ApiModelProperty(value = "A相电流下限")
    private java.math.BigDecimal currentAMin;
	/**湿度下限*/
	@Excel(name = "湿度下限", width = 15)
    @ApiModelProperty(value = "湿度下限")
    private java.math.BigDecimal humidityMin;
	/**C相电流上限*/
	@Excel(name = "C相电流上限", width = 15)
    @ApiModelProperty(value = "C相电流上限")
    private java.math.BigDecimal currentCMax;
}
