package org.jeecg.modules.itdmDataNow.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 电压实时数据
 * @Author: jeecg-boot
 * @Date:   2023-05-27
 * @Version: V1.0
 */
@Data
@TableName("itdm_wenxiang_voltage_now")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="itdm_wenxiang_voltage_now对象", description="电压实时数据")
public class ItdmWenxiangVoltageNow implements Serializable {
    private static final long serialVersionUID = 1L;

	/**温箱电压id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "温箱电压id")
    private java.lang.Integer id;
	/**A线电压*/
	@Excel(name = "A线电压", width = 15)
    @ApiModelProperty(value = "A线电压")
    private java.math.BigDecimal voltageA;
	/**C线电压上限*/
	@Excel(name = "C线电压上限", width = 15)
    @ApiModelProperty(value = "C线电压上限")
    private java.math.BigDecimal voltageCMax;
	/**创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private java.util.Date createTime;
	/**B线电压*/
	@Excel(name = "B线电压", width = 15)
    @ApiModelProperty(value = "B线电压")
    private java.math.BigDecimal voltageB;
	/**C线电压*/
	@Excel(name = "C线电压", width = 15)
    @ApiModelProperty(value = "C线电压")
    private java.math.BigDecimal voltageC;
	/**A线电压报警（0正常1报警）*/
	@Excel(name = "A线电压报警（0正常1报警）", width = 15)
    @ApiModelProperty(value = "A线电压报警（0正常1报警）")
    private java.lang.Integer voltageAAlarm;
	/**B线电压报警（0正常1报警）*/
	@Excel(name = "B线电压报警（0正常1报警）", width = 15)
    @ApiModelProperty(value = "B线电压报警（0正常1报警）")
    private java.lang.Integer voltageBAlarm;
	/**B线电压下限*/
	@Excel(name = "B线电压下限", width = 15)
    @ApiModelProperty(value = "B线电压下限")
    private java.math.BigDecimal voltageBMin;
	/**A线电压上限*/
	@Excel(name = "A线电压上限", width = 15)
    @ApiModelProperty(value = "A线电压上限")
    private java.math.BigDecimal voltageAMax;
	/**C线电压报警（0正常1报警）*/
	@Excel(name = "C线电压报警（0正常1报警）", width = 15)
    @ApiModelProperty(value = "C线电压报警（0正常1报警）")
    private java.lang.Integer voltageCAlarm;
	/**C线电压下限*/
	@Excel(name = "C线电压下限", width = 15)
    @ApiModelProperty(value = "C线电压下限")
    private java.math.BigDecimal voltageCMin;
	/**A线电压下限*/
	@Excel(name = "A线电压下限", width = 15)
    @ApiModelProperty(value = "A线电压下限")
    private java.math.BigDecimal voltageAMin;
	/**B线电压上限*/
	@Excel(name = "B线电压上限", width = 15)
    @ApiModelProperty(value = "B线电压上限")
    private java.math.BigDecimal voltageBMax;
}
