package org.jeecg.modules.itdmDevice.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 设备表
 * @Author: jeecg-boot
 * @Date:   2023-05-20
 * @Version: V1.0
 */
@Data
@TableName("itdm_device")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="itdm_device对象", description="设备表")
public class ItdmDevice implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
	/**设备名称*/
	@Excel(name = "设备名称", width = 15)
    @ApiModelProperty(value = "设备名称")
    private java.lang.String deviceName;
	/**设备类型*/
	@Excel(name = "设备类型", width = 15)
    @ApiModelProperty(value = "设备类型")
    private java.lang.String deviceType;
	/**设备编号*/
	@Excel(name = "设备编号", width = 15)
    @ApiModelProperty(value = "设备编号")
    private java.lang.String deviceNo;
	/**设备状态*/
	@Excel(name = "设备状态(待机,运行中,报警,故障,非故障)", width = 15, dicCode = "device_status")
	@Dict(dicCode = "device_status")
    @ApiModelProperty(value = "设备状态（待机0,运行中1,报警2,故障3,非故障4)")
    private java.lang.Integer deviceStatus;
	/**维护时间*/
    @TableField(value = "repair_time", updateStrategy = FieldStrategy.IGNORED)
	@Excel(name = "维护时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "维护时间")
    private java.util.Date repairTime;
	/**维护人*/
	@Excel(name = "维护人", width = 15)
    @ApiModelProperty(value = "维护人")
    private java.lang.String repairer;
	/**维护记录*/
	@Excel(name = "维护记录", width = 15)
    @ApiModelProperty(value = "维护记录")
    private java.lang.String record;
	/**设备规格*/
	@Excel(name = "设备规格", width = 15)
    @ApiModelProperty(value = "设备规格")
    private java.lang.String deviceSpecification;
	/**设备型号*/
	@Excel(name = "设备型号", width = 15)
    @ApiModelProperty(value = "设备型号")
    private java.lang.String deviceModel;
	/**计量有效期*/
	@Excel(name = "计量有效期", width = 15)
    @ApiModelProperty(value = "计量有效期")
    private java.lang.String deviceLife;
	/**本次运行开始时间*/
	@Excel(name = "本次运行开始时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "本次运行开始时间")
    private java.util.Date runStartTime;
	/**设备运行标识*/
	@Excel(name = "设备运行状态（设备已结束运行,设备已开始运行）", width = 15, dicCode = "biaoshi")
	@Dict(dicCode = "biaoshi")
    @ApiModelProperty(value = "设备运行标识(0设备已结束运行1设备已开始运行)")
    private java.lang.Integer biaoshi;
	/**是否已维护*/
	@Excel(name = "是否已维护(未维护,已维护)", width = 15, dicCode = "is_repair")
	@Dict(dicCode = "is_repair")
    @ApiModelProperty(value = "是否已维护(0未维护1已维护)")
    private java.lang.Integer isRepair;
	/**设备树id*/
//	@Excel(name = "设备树id", width = 15)
    @ApiModelProperty(value = "设备树id")
    private java.lang.Integer equipmenttreeid;
	/**安装地点*/
//	@Excel(name = "安装地点", width = 15)
    @ApiModelProperty(value = "安装地点")
    private java.lang.String address;
	/**区域*/
//	@Excel(name = "区域", width = 15)
    @ApiModelProperty(value = "区域")
    private java.lang.Integer specid;
	/**备注*/
	@Excel(name = "备注", width = 15)
    @ApiModelProperty(value = "备注")
    private java.lang.String remark;
    /**单价*/
    @Excel(name = "单价", width = 15)
    @ApiModelProperty(value = "单价")
    private java.lang.Integer danjia;
    /**是否能删除（0不可删除1可删除）*/
//    @Excel(name = "是否能删除", width = 15)
    @ApiModelProperty(value = "是否能删除")
    private java.lang.Integer izDelete;
    /**重要性标准*/
    @Excel(name = "重要性标准（气候试验，力学试验，重要试验）", width = 15, dicCode = "shiyan_shebe_type")
    @Dict(dicCode = "shiyan_shebe_type")
    @ApiModelProperty(value = "重要性标准")
    private java.lang.Integer zyxbz;
    /**是否在大屏展示（0不展示1展示）*/
//    @Excel(name = "是否在大屏展示", width = 15)
    @ApiModelProperty(value = "是否在大屏展示")
    private java.lang.Integer izDisplay;

}
