package org.jeecg.modules.itdmDevice.service.impl;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.itdmDevice.entity.ItdmDevice;
import org.jeecg.modules.itdmDevice.mapper.ItdmDeviceMapper;
import org.jeecg.modules.itdmDevice.service.IItdmDeviceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

/**
 * @Description: 设备表
 * @Author: jeecg-boot
 * @Date:   2023-05-20
 * @Version: V1.0
 */
@Service
public class ItdmDeviceServiceImpl extends ServiceImpl<ItdmDeviceMapper, ItdmDevice> implements IItdmDeviceService {

    @Autowired
    @SuppressWarnings("all")
    private ItdmDeviceMapper itdmDeviceMapper;

    /**
     * 设备下拉列表
     */
    public List<ItdmDevice> queryList(){
        return itdmDeviceMapper.queryList();
    }

    /**
     * 通过设备id（多个，以逗号间隔）查询设备名（多个，以逗号间隔）
     */
    public String queryNameByIdList(@Param("shebeiId") String shebeiId){
        return itdmDeviceMapper.queryNameByIdList(shebeiId);
    }

}
