package org.jeecg.modules.itdmDeviceRun.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 设备运行时间表
 * @Author: jeecg-boot
 * @Date:   2023-05-20
 * @Version: V1.0
 */
@Data
@TableName("itdm_device_run")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="itdm_device_run对象", description="设备运行时间表")
public class ItdmDeviceRun implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private java.lang.Integer id;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
	/**设备id*/
//	@Excel(name = "设备id", width = 15, dictTable = "itdm_device", dicText = "device_name", dicCode = "id")
	@Dict(dictTable = "itdm_device", dicText = "device_name", dicCode = "id")
    @ApiModelProperty(value = "设备id")
    private java.lang.String deviceId;
	/**设备名称*/
	@Excel(name = "设备名称", width = 15)
    @ApiModelProperty(value = "设备名称")
    private java.lang.String deviceName;
	/**设备类型*/
	@Excel(name = "设备类型", width = 15)
    @ApiModelProperty(value = "设备类型")
    private java.lang.String deviceType;
	/**设备开始运行时间*/
	@Excel(name = "设备开始运行时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "设备开始运行时间")
    private java.util.Date timeBegin;
	/**设备结束运行时间*/
	@Excel(name = "设备结束运行时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "设备结束运行时间")
    private java.util.Date timeEnd;
	/**设备本次运行时间*/
	@Excel(name = "设备本次运行时间", width = 20)
    @ApiModelProperty(value = "设备本次运行时间")
    private java.lang.String timeRun;
	/**天*/
//	@Excel(name = "天", width = 15)
    @ApiModelProperty(value = "天")
    private java.lang.Integer timeDay;
	/**小时*/
//	@Excel(name = "小时", width = 15)
    @ApiModelProperty(value = "小时")
    private java.lang.Integer timeHour;
	/**分钟*/
//	@Excel(name = "分钟", width = 15)
    @ApiModelProperty(value = "分钟")
    private java.lang.Integer timeMinute;
	/**秒*/
//	@Excel(name = "秒", width = 15)
    @ApiModelProperty(value = "秒")
    private java.lang.Integer timeSecond;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
}
