package org.jeecg.modules.itdmFirstPage.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 任务表
 * @Author: jeecg-boot
 * @Date:   2023-06-03
 * @Version: V1.0
 */
@Data
@TableName("itdm_task")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="itdm_task对象", description="任务表")
public class ItdmTask implements Serializable {
    private static final long serialVersionUID = 1L;

	/**任务表id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "任务表id")
    private java.lang.String id;
	/**内容*/
	@Excel(name = "内容", width = 15)
    @ApiModelProperty(value = "内容")
    private java.lang.String taskContent;
	/**任务状态（0待办1进行2完成）*/
	@Excel(name = "任务状态（0待办1进行2完成）", width = 15, dicCode = "task_status")
	@Dict(dicCode = "task_status")
    @ApiModelProperty(value = "任务状态（0待办1进行2完成）")
    private java.lang.Integer taskStatus;
	/**待办角色*/
	@Excel(name = "待办角色", width = 15)
    @ApiModelProperty(value = "待办角色")
    private java.lang.String taskRole;
	/**待办人员*/
	@Excel(name = "待办人员", width = 15)
    @ApiModelProperty(value = "待办人员")
    private java.lang.String taskUser;
	/**关联委托id*/
	@Excel(name = "关联委托id", width = 15)
    @ApiModelProperty(value = "关联委托id")
    @Dict(dictTable = "itdm_weituo_info", dicText = "weituo_no", dicCode = "id")
    private java.lang.String weituoId;
	/**创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private java.util.Date createTime;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**修改时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private java.util.Date updateTime;
	/**修改人*/
    @ApiModelProperty(value = "修改人")
    private java.lang.String updateBy;
	/**备注*/
	@Excel(name = "备注", width = 15)
    @ApiModelProperty(value = "备注")
    private java.lang.String remark;
}
