package org.jeecg.modules.itdmFirstPage.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Select;
import org.jeecg.modules.itdmFirstPage.dto.ItdmTaskQueryDTO;
import org.jeecg.modules.itdmFirstPage.entity.ItdmTask;
import org.jeecg.modules.itdmFirstPage.vo.ItdmTaskListVO;

import java.util.List;

/**
 * @Description: 任务表
 * @Author: jeecg-boot
 * @Date:   2023-06-03
 * @Version: V1.0
 */
public interface ItdmTaskMapper extends BaseMapper<ItdmTask> {

    /**将对应委托id的左右任务状态都修改为完结状态*/
    @Select("update itdm_task set task_status = 2 where weituo_id = #{weituoId}")
    public void updateByWeituoId(String weituoId);

    /**查询对应的任务列表*/
    public List<ItdmTaskListVO> queryTaskList(ItdmTaskQueryDTO dto);

}
