package org.jeecg.modules.itdmFirstPage.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

@Data
@Accessors(chain = true)
public class ItdmTaskListVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**任务表id*/
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "任务表id")
    private java.lang.String id;
    /**内容*/
    @Excel(name = "内容", width = 15)
    @ApiModelProperty(value = "内容")
    private java.lang.String taskContent;
    /**任务状态（0待办1进行2完成）*/
    @Excel(name = "任务状态（0待办1进行2完成）", width = 15, dicCode = "task_status")
    @Dict(dicCode = "task_status")
    @ApiModelProperty(value = "任务状态（0待办1进行2完成）")
    private java.lang.Integer taskStatus;
    /**待办角色*/
    @Excel(name = "待办角色", width = 15)
    @ApiModelProperty(value = "待办角色")
    private java.lang.String taskRole;
    /**待办人员*/
    @Excel(name = "待办人员", width = 15)
    @ApiModelProperty(value = "待办人员")
    private java.lang.String taskUser;
    /**关联委托id*/
    @Excel(name = "关联委托id", width = 15)
    @ApiModelProperty(value = "关联委托id")
    @Dict(dictTable = "itdm_weituo_info", dicText = "weituo_no", dicCode = "id")
    private java.lang.String weituoId;
    /**委托编号*/
    @Excel(name = "委托编号", width = 15)
    @ApiModelProperty(value = "委托编号")
    private java.lang.String weituoNo;
    /**委托单位名称*/
    @Excel(name = "委托单位名称", width = 15)
    @ApiModelProperty(value = "委托单位名称")
    private java.lang.String weituoClient;
    /**创建时间*/
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private java.util.Date createTime;

}
