package org.jeecg.modules.itdmGongDan.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

/**
 * @Description: 工单detail
 * @Author: jeecg-boot
 * @Date:   2023-05-21
 * @Version: V1.0
 */
@Data
@TableName("itdm_gongdan_detail")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="itdm_gongdan_detail对象", description="工单detail")
public class ItdmGongdanDetail implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**工单id*/
	@Excel(name = "工单id", width = 15)
    @ApiModelProperty(value = "工单id")
    private java.lang.String woId;
	/**实绩设备id*/
	@Excel(name = "实绩设备id", width = 15)
    @ApiModelProperty(value = "实绩设备id")
    @Dict(dictTable = "itdm_device", dicText = "device_name", dicCode = "id")
    private java.lang.String shijiShebeiId;
	/**实绩试验类型*/
	@Excel(name = "实绩试验类型", width = 15, dicCode = "shiyan_type")
	@Dict(dicCode = "shiiyan_type")
    @ApiModelProperty(value = "实绩试验类型")
    private java.lang.String shijiShiiyanType;
	/**任务日期*/
	@Excel(name = "任务日期", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "任务日期")
    private java.util.Date workDate;
	/**试验开始时间*/
	@Excel(name = "试验开始时间", width = 15)
    @ApiModelProperty(value = "试验开始时间")
    private java.lang.String startTime;
	/**试验结束时间*/
	@Excel(name = "试验结束时间", width = 15)
    @ApiModelProperty(value = "试验结束时间")
    private java.lang.String endTime;
	/**实绩任务日期*/
	@Excel(name = "实绩任务日期", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "实绩任务日期")
    private java.util.Date shijiWorkDate;
	/**实绩试验开始时间*/
	@Excel(name = "实绩试验开始时间", width = 15)
    @ApiModelProperty(value = "实绩试验开始时间")
    private java.lang.String shijiStartTime;
	/**实绩试验结束时间*/
	@Excel(name = "实绩试验结束时间", width = 15)
    @ApiModelProperty(value = "实绩试验结束时间")
    private java.lang.String shijiEndTime;
	/**备注*/
	@Excel(name = "备注", width = 15)
    @ApiModelProperty(value = "备注")
    private java.lang.String remark;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;/**传感器*/
    @Excel(name = "传感器id", width = 20)
    @ApiModelProperty(value = "传感器id")
    @Dict(dictTable = "itdm_chuanganqi", dicText = "xuliehao", dicCode = "id")
    private java.lang.String chuanganqi;



    /**计划设备id*/
    @Excel(name = "计划设备id", width = 15)
    @ApiModelProperty(value = "计划设备id")
    @Dict(dictTable = "itdm_device", dicText = "device_name", dicCode = "id")
    private java.lang.String jihuaDeviceId;
}
