package org.jeecg.modules.itdmGongDan.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.jeecg.modules.itdmGongDan.dto.DeviceCalendarQueryDTO;
import org.jeecg.modules.itdmGongDan.entity.ItdmGongdanDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.modules.itdmGongDan.vo.DeviceCalendarDeviceListVO;
import org.jeecg.modules.itdmGongDan.vo.ItdmGongdanDetailListVO;
import org.jeecg.modules.weituo.entity.ItdmWeituoInfo;

import java.util.Date;
import java.util.List;

/**
 * @Description: 工单detail
 * @Author: jeecg-boot
 * @Date:   2023-05-21
 * @Version: V1.0
 */
public interface ItdmGongdanDetailMapper extends BaseMapper<ItdmGongdanDetail> {

    /**查询该月该设备计划工作日期*/
    List<Date> workDateList(DeviceCalendarQueryDTO dto);

    /**查询该工作日期计划的所有设备（去重）*/
    List<DeviceCalendarDeviceListVO> planDeviceList(Date workDate);

    /**查询该工作日期，该设备对应的委托列表（去重）*/
    List<ItdmWeituoInfo> weituoList(DeviceCalendarQueryDTO dto);



    List<ItdmGongdanDetailListVO> getDetailList (Page<ItdmGongdanDetailListVO> page, String woId);

    Page<ItdmGongdanDetail> getDetailListByWoIdList(Page<ItdmGongdanDetail> page,@Param("list") List<String> list);

}
