package org.jeecg.modules.itdmGongDan.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.itdmGongDan.dto.DeviceCalendarQueryDTO;
import org.jeecg.modules.itdmGongDan.entity.ItdmGongdanDetail;
import org.jeecg.modules.itdmGongDan.mapper.ItdmGongdanDetailMapper;
import org.jeecg.modules.itdmGongDan.service.IItdmGongdanDetailService;
import org.jeecg.modules.itdmGongDan.vo.DeviceCalendarDeviceListVO;
import org.jeecg.modules.itdmGongDan.vo.ItdmGongdanDetailListVO;
import org.jeecg.modules.weituo.entity.ItdmWeituoInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.Date;
import java.util.List;

/**
 * @Description: 工单detail
 * @Author: jeecg-boot
 * @Date:   2023-05-21
 * @Version: V1.0
 */
@Service
public class ItdmGongdanDetailServiceImpl extends ServiceImpl<ItdmGongdanDetailMapper, ItdmGongdanDetail> implements IItdmGongdanDetailService {

    @Autowired
    @SuppressWarnings("all")
    private ItdmGongdanDetailMapper itdmGongdanDetailMapper;

    /**查询该月该设备计划工作日期*/
    public List<Date> workDateList(DeviceCalendarQueryDTO dto){
        return itdmGongdanDetailMapper.workDateList(dto);
    }

    /**查询该工作日期计划的所有设备（去重）*/
    public List<DeviceCalendarDeviceListVO> planDeviceList(Date workDate){
        return itdmGongdanDetailMapper.planDeviceList(workDate);
    }

    /**查询该工作日期，该设备对应的委托列表（去重）*/
    public List<ItdmWeituoInfo> weituoList(DeviceCalendarQueryDTO dto){
        return itdmGongdanDetailMapper.weituoList(dto);
    }




    public Page<ItdmGongdanDetailListVO> getDetailList(Page<ItdmGongdanDetailListVO> page, String woId) {
        return page.setRecords(itdmGongdanDetailMapper.getDetailList(page, woId));
    }

    public Page<ItdmGongdanDetail> getDetailListByWoIdList(Page<ItdmGongdanDetail> page,@Param("list") List<String> list){
        return itdmGongdanDetailMapper.getDetailListByWoIdList(page,list);
    }

}
