package org.jeecg.modules.itdmShiYanXiangMu.controller;

import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.system.query.QueryGenerator;
import org.jeecg.common.util.oConvertUtils;
import org.jeecg.modules.itdmShiYanXiangMu.entity.ItdmShiyanxiangmu;
import org.jeecg.modules.itdmShiYanXiangMu.service.IItdmShiyanxiangmuService;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.extern.slf4j.Slf4j;

import org.jeecgframework.poi.excel.ExcelImportUtil;
import org.jeecgframework.poi.excel.def.NormalExcelConstants;
import org.jeecgframework.poi.excel.entity.ExportParams;
import org.jeecgframework.poi.excel.entity.ImportParams;
import org.jeecgframework.poi.excel.view.JeecgEntityExcelView;
import org.jeecg.common.system.base.controller.JeecgController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.multipart.MultipartHttpServletRequest;
import org.springframework.web.servlet.ModelAndView;
import com.alibaba.fastjson.JSON;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.jeecg.common.aspect.annotation.AutoLog;

 /**
 * @Description: 试验项目输入
 * @Author: jeecg-boot
 * @Date:   2023-05-30
 * @Version: V1.0
 */
@Api(tags="试验项目输入")
@RestController
@RequestMapping("/itdmShiYanXiangMu/itdmShiyanxiangmu")
@Slf4j
public class ItdmShiyanxiangmuController extends JeecgController<ItdmShiyanxiangmu, IItdmShiyanxiangmuService> {
	@Autowired
	private IItdmShiyanxiangmuService itdmShiyanxiangmuService;
	
	/**
	 * 分页列表查询
	 *
	 * @param itdmShiyanxiangmu
	 * @param pageNo
	 * @param pageSize
	 * @param req
	 * @return
	 */
	//@AutoLog(value = "试验项目输入-分页列表查询")
	@ApiOperation(value="试验项目输入-分页列表查询", notes="试验项目输入-分页列表查询")
	@GetMapping(value = "/list")
	public Result<IPage<ItdmShiyanxiangmu>> queryPageList(ItdmShiyanxiangmu itdmShiyanxiangmu,
								   @RequestParam(name="pageNo", defaultValue="1") Integer pageNo,
								   @RequestParam(name="pageSize", defaultValue="10") Integer pageSize,
								   HttpServletRequest req) {
		QueryWrapper<ItdmShiyanxiangmu> queryWrapper = QueryGenerator.initQueryWrapper(itdmShiyanxiangmu, req.getParameterMap());
		Page<ItdmShiyanxiangmu> page = new Page<ItdmShiyanxiangmu>(pageNo, pageSize);
		IPage<ItdmShiyanxiangmu> pageList = itdmShiyanxiangmuService.page(page, queryWrapper);
		return Result.OK(pageList);
	}
	
	/**
	 *   添加
	 *
	 * @param itdmShiyanxiangmu
	 * @return
	 */
	@AutoLog(value = "试验项目输入-添加")
	@ApiOperation(value="试验项目输入-添加", notes="试验项目输入-添加")
	//@RequiresPermissions("org.jeecg.modules:itdm_shiyanxiangmu:add")
	@PostMapping(value = "/add")
	public Result<String> add(@RequestBody ItdmShiyanxiangmu itdmShiyanxiangmu) {
		itdmShiyanxiangmuService.save(itdmShiyanxiangmu);
		return Result.OK("添加成功！");
	}
	
	/**
	 *  编辑
	 *
	 * @param itdmShiyanxiangmu
	 * @return
	 */
	@AutoLog(value = "试验项目输入-编辑")
	@ApiOperation(value="试验项目输入-编辑", notes="试验项目输入-编辑")
	//@RequiresPermissions("org.jeecg.modules:itdm_shiyanxiangmu:edit")
	@RequestMapping(value = "/edit", method = {RequestMethod.PUT,RequestMethod.POST})
	public Result<String> edit(@RequestBody ItdmShiyanxiangmu itdmShiyanxiangmu) {
		itdmShiyanxiangmuService.updateById(itdmShiyanxiangmu);
		return Result.OK("编辑成功!");
	}
	
	/**
	 *   通过id删除
	 *
	 * @param id
	 * @return
	 */
	@AutoLog(value = "试验项目输入-通过id删除")
	@ApiOperation(value="试验项目输入-通过id删除", notes="试验项目输入-通过id删除")
	//@RequiresPermissions("org.jeecg.modules:itdm_shiyanxiangmu:delete")
	@DeleteMapping(value = "/delete")
	public Result<String> delete(@RequestParam(name="id",required=true) String id) {
		itdmShiyanxiangmuService.removeById(id);
		return Result.OK("删除成功!");
	}
	
	/**
	 *  批量删除
	 *
	 * @param ids
	 * @return
	 */
	@AutoLog(value = "试验项目输入-批量删除")
	@ApiOperation(value="试验项目输入-批量删除", notes="试验项目输入-批量删除")
	//@RequiresPermissions("org.jeecg.modules:itdm_shiyanxiangmu:deleteBatch")
	@DeleteMapping(value = "/deleteBatch")
	public Result<String> deleteBatch(@RequestParam(name="ids",required=true) String ids) {
		this.itdmShiyanxiangmuService.removeByIds(Arrays.asList(ids.split(",")));
		return Result.OK("批量删除成功!");
	}
	
	/**
	 * 通过id查询
	 *
	 * @param id
	 * @return
	 */
	//@AutoLog(value = "试验项目输入-通过id查询")
	@ApiOperation(value="试验项目输入-通过id查询", notes="试验项目输入-通过id查询")
	@GetMapping(value = "/queryById")
	public Result<ItdmShiyanxiangmu> queryById(@RequestParam(name="id",required=true) String id) {
		ItdmShiyanxiangmu itdmShiyanxiangmu = itdmShiyanxiangmuService.getById(id);
		if(itdmShiyanxiangmu==null) {
			return Result.error("未找到对应数据");
		}
		return Result.OK(itdmShiyanxiangmu);
	}

    /**
    * 导出excel
    *
    * @param request
    * @param itdmShiyanxiangmu
    */
    //@RequiresPermissions("org.jeecg.modules:itdm_shiyanxiangmu:exportXls")
    @RequestMapping(value = "/exportXls")
    public ModelAndView exportXls(HttpServletRequest request, ItdmShiyanxiangmu itdmShiyanxiangmu) {
        return super.exportXls(request, itdmShiyanxiangmu, ItdmShiyanxiangmu.class, "试验项目输入");
    }

    /**
      * 通过excel导入数据
    *
    * @param request
    * @param response
    * @return
    */
    //@RequiresPermissions("itdm_shiyanxiangmu:importExcel")
    @RequestMapping(value = "/importExcel", method = RequestMethod.POST)
    public Result<?> importExcel(HttpServletRequest request, HttpServletResponse response) {
        return super.importExcel(request, response, ItdmShiyanxiangmu.class);
    }

}
