package org.jeecg.modules.itdmShiYanXiangMu.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 试验项目输入
 * @Author: jeecg-boot
 * @Date:   2023-05-30
 * @Version: V1.0
 */
@Data
@TableName("itdm_shiyanxiangmu")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="itdm_shiyanxiangmu对象", description="试验项目输入")
public class ItdmShiyanxiangmu implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
	/**是否新客户*/
	@Excel(name = "是否新客户", width = 15)
    @ApiModelProperty(value = "是否新客户")
    private java.lang.String newkehu;
	/**客户行业*/
	@Excel(name = "客户行业", width = 15)
    @ApiModelProperty(value = "客户行业")
    private java.lang.String kehuHangye;
	/**客户名称*/
	@Excel(name = "客户名称", width = 15)
    @ApiModelProperty(value = "客户名称")
    private java.lang.String kehuMingcheng;
	/**输入类型*/
	@Excel(name = "输入类型", width = 15)
    @ApiModelProperty(value = "输入类型")
    private java.lang.String shuruLeixing;
	/**试验信息*/
	@Excel(name = "试验信息", width = 15)
    @ApiModelProperty(value = "试验信息")
    private java.lang.String shiyanXinxi;
	/**方案设计*/
	@Excel(name = "方案设计", width = 15, dicCode = "fangan_sheji")
	@Dict(dicCode = "fangan_sheji")
    @ApiModelProperty(value = "方案设计")
    private java.lang.String fanganSheji;
	/**试验评审*/
	@Excel(name = "试验评审", width = 15, dicCode = "shiyan_pingshen")
	@Dict(dicCode = "shiyan_pingshen")
    @ApiModelProperty(value = "试验评审")
    private java.lang.String shiyanPingshen;
	/**用车安排*/
	@Excel(name = "用车安排", width = 15, dicCode = "yongche_anpai")
	@Dict(dicCode = "yongche_anpai")
    @ApiModelProperty(value = "用车安排")
    private java.lang.String yongcheAnpai;
	/**工装设计*/
	@Excel(name = "工装设计", width = 15, dicCode = "gongzhuang_sheji")
	@Dict(dicCode = "gongzhuang_sheji")
    @ApiModelProperty(value = "工装设计")
    private java.lang.String gongzhuangSheji;
	/**用餐安排*/
	@Excel(name = "用餐安排", width = 15, dicCode = "yongcan_anpai")
	@Dict(dicCode = "yongcan_anpai")
    @ApiModelProperty(value = "用餐安排")
    private java.lang.String yongcanAnpai;
	/**住宿安排*/
	@Excel(name = "住宿安排", width = 15, dicCode = "zhusu_anpai")
	@Dict(dicCode = "zhusu_anpai")
    @ApiModelProperty(value = "住宿安排")
    private java.lang.String zhusuAnpai;
	/**报告确认*/
	@Excel(name = "报告确认", width = 15, dicCode = "baogao_queren")
	@Dict(dicCode = "baogao_queren")
    @ApiModelProperty(value = "报告确认")
    private java.lang.String baogaoQueren;
	/**客户姓名*/
	@Excel(name = "客户姓名", width = 15)
    @ApiModelProperty(value = "客户姓名")
    private java.lang.String kehuName;
	/**客户电话*/
	@Excel(name = "客户电话", width = 15)
    @ApiModelProperty(value = "客户电话")
    private java.lang.String kehuPhone;
	/**合同编号*/
	@Excel(name = "合同编号", width = 15)
    @ApiModelProperty(value = "合同编号")
    private java.lang.String hetongBianhao;
	/**试验要求*/
	@Excel(name = "试验要求", width = 15)
    @ApiModelProperty(value = "试验要求")
    private java.lang.String shiyanYaoqiu;
	/**报告体系*/
	@Excel(name = "报告体系", width = 15, dicCode = "baogao_tixi")
	@Dict(dicCode = "baogao_tixi")
    @ApiModelProperty(value = "报告体系")
    private java.lang.String baogaoTixi;
	/**资质要求*/
	@Excel(name = "资质要求", width = 15, dicCode = "zizhi_yaoqiu")
	@Dict(dicCode = "zizhi_yaoqiu")
    @ApiModelProperty(value = "资质要求")
    private java.lang.String zizhiYaoqiu;
	/**预计报价*/
	@Excel(name = "预计报价", width = 15)
    @ApiModelProperty(value = "预计报价")
    private java.lang.String yujiBaojia;
	/**评审结论*/
	@Excel(name = "评审结论", width = 15)
    @ApiModelProperty(value = "评审结论")
    private java.lang.String pingshenJielun;
	/**主审人*/
	@Excel(name = "主审人", width = 15)
    @ApiModelProperty(value = "主审人")
    private java.lang.String zhushenRen;
	/**主审时间*/
	@Excel(name = "主审时间", width = 15)
    @ApiModelProperty(value = "主审时间")
    private java.lang.String zhushenShijian;
}
