package org.jeecg.modules.itdmWenxiangHistory.controller;

import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.system.query.QueryGenerator;
import org.jeecg.common.util.oConvertUtils;
import org.jeecg.modules.itdmWenxiangHistory.entity.ItdmWenxiangHistory48;
import org.jeecg.modules.itdmWenxiangHistory.service.IItdmWenxiangHistory48Service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.extern.slf4j.Slf4j;

import org.jeecgframework.poi.excel.ExcelImportUtil;
import org.jeecgframework.poi.excel.def.NormalExcelConstants;
import org.jeecgframework.poi.excel.entity.ExportParams;
import org.jeecgframework.poi.excel.entity.ImportParams;
import org.jeecgframework.poi.excel.view.JeecgEntityExcelView;
import org.jeecg.common.system.base.controller.JeecgController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.multipart.MultipartHttpServletRequest;
import org.springframework.web.servlet.ModelAndView;
import com.alibaba.fastjson.JSON;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.jeecg.common.aspect.annotation.AutoLog;

 /**
 * @Description: 48立方温箱数据
 * @Author: jeecg-boot
 * @Date:   2023-07-24
 * @Version: V1.0
 */
@Api(tags="48立方温箱数据")
@RestController
@RequestMapping("/itdmWenxiangHistory/itdmWenxiangHistory48")
@Slf4j
public class ItdmWenxiangHistory48Controller extends JeecgController<ItdmWenxiangHistory48, IItdmWenxiangHistory48Service> {
	@Autowired
	private IItdmWenxiangHistory48Service itdmWenxiangHistory48Service;

	 /**
	  * 导出excel
	  *
	  * @param request
	  * @param itdmWenxiangHistory48
	  */
	 //@RequiresPermissions("org.jeecg.modules:itdm_wenxiang_history48:exportXls")
	 @RequestMapping(value = "/exportXls")
	 public ModelAndView exportXls(HttpServletRequest request, ItdmWenxiangHistory48 itdmWenxiangHistory48) {
		 return super.exportXls(request, itdmWenxiangHistory48, ItdmWenxiangHistory48.class, "48立方温箱数据");
	 }

	 /**
	 * 分页列表查询
	 *
	 * @param itdmWenxiangHistory48
	 * @param pageNo
	 * @param pageSize
	 * @param req
	 * @return
	 */
	//@AutoLog(value = "48立方温箱数据-分页列表查询")
	@ApiOperation(value="48立方温箱数据-分页列表查询", notes="48立方温箱数据-分页列表查询")
	@GetMapping(value = "/list")
	public Result<IPage<ItdmWenxiangHistory48>> queryPageList(ItdmWenxiangHistory48 itdmWenxiangHistory48,
								   @RequestParam(name="pageNo", defaultValue="1") Integer pageNo,
								   @RequestParam(name="pageSize", defaultValue="10") Integer pageSize,
								   HttpServletRequest req) {
		QueryWrapper<ItdmWenxiangHistory48> queryWrapper = QueryGenerator.initQueryWrapper(itdmWenxiangHistory48, req.getParameterMap());
		Page<ItdmWenxiangHistory48> page = new Page<ItdmWenxiangHistory48>(pageNo, pageSize);
		IPage<ItdmWenxiangHistory48> pageList = itdmWenxiangHistory48Service.page(page, queryWrapper);
		return Result.OK(pageList);
	}

	/**
	 *   添加
	 *
	 * @param itdmWenxiangHistory48
	 * @return
	 */
	@AutoLog(value = "48立方温箱数据-添加")
	@ApiOperation(value="48立方温箱数据-添加", notes="48立方温箱数据-添加")
	//@RequiresPermissions("org.jeecg.modules:itdm_wenxiang_history48:add")
	@PostMapping(value = "/add")
	public Result<String> add(@RequestBody ItdmWenxiangHistory48 itdmWenxiangHistory48) {
		itdmWenxiangHistory48Service.save(itdmWenxiangHistory48);
		return Result.OK("添加成功！");
	}

	/**
	 *  编辑
	 *
	 * @param itdmWenxiangHistory48
	 * @return
	 */
	@AutoLog(value = "48立方温箱数据-编辑")
	@ApiOperation(value="48立方温箱数据-编辑", notes="48立方温箱数据-编辑")
	//@RequiresPermissions("org.jeecg.modules:itdm_wenxiang_history48:edit")
	@RequestMapping(value = "/edit", method = {RequestMethod.PUT,RequestMethod.POST})
	public Result<String> edit(@RequestBody ItdmWenxiangHistory48 itdmWenxiangHistory48) {
		itdmWenxiangHistory48Service.updateById(itdmWenxiangHistory48);
		return Result.OK("编辑成功!");
	}

	/**
	 *   通过id删除
	 *
	 * @param id
	 * @return
	 */
	@AutoLog(value = "48立方温箱数据-通过id删除")
	@ApiOperation(value="48立方温箱数据-通过id删除", notes="48立方温箱数据-通过id删除")
	//@RequiresPermissions("org.jeecg.modules:itdm_wenxiang_history48:delete")
	@DeleteMapping(value = "/delete")
	public Result<String> delete(@RequestParam(name="id",required=true) String id) {
		itdmWenxiangHistory48Service.removeById(id);
		return Result.OK("删除成功!");
	}

	/**
	 *  批量删除
	 *
	 * @param ids
	 * @return
	 */
	@AutoLog(value = "48立方温箱数据-批量删除")
	@ApiOperation(value="48立方温箱数据-批量删除", notes="48立方温箱数据-批量删除")
	//@RequiresPermissions("org.jeecg.modules:itdm_wenxiang_history48:deleteBatch")
	@DeleteMapping(value = "/deleteBatch")
	public Result<String> deleteBatch(@RequestParam(name="ids",required=true) String ids) {
		this.itdmWenxiangHistory48Service.removeByIds(Arrays.asList(ids.split(",")));
		return Result.OK("批量删除成功!");
	}

	/**
	 * 通过id查询
	 *
	 * @param id
	 * @return
	 */
	//@AutoLog(value = "48立方温箱数据-通过id查询")
	@ApiOperation(value="48立方温箱数据-通过id查询", notes="48立方温箱数据-通过id查询")
	@GetMapping(value = "/queryById")
	public Result<ItdmWenxiangHistory48> queryById(@RequestParam(name="id",required=true) String id) {
		ItdmWenxiangHistory48 itdmWenxiangHistory48 = itdmWenxiangHistory48Service.getById(id);
		if(itdmWenxiangHistory48==null) {
			return Result.error("未找到对应数据");
		}
		return Result.OK(itdmWenxiangHistory48);
	}

    /**
      * 通过excel导入数据
    *
    * @param request
    * @param response
    * @return
    */
    //@RequiresPermissions("itdm_wenxiang_history48:importExcel")
    @RequestMapping(value = "/importExcel", method = RequestMethod.POST)
    public Result<?> importExcel(HttpServletRequest request, HttpServletResponse response) {
        return super.importExcel(request, response, ItdmWenxiangHistory48.class);
    }

}
