package org.jeecg.modules.itdmWenxiangHistory.controller;

import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.system.query.QueryGenerator;
import org.jeecg.common.util.oConvertUtils;
import org.jeecg.modules.itdmWenxiangHistory.entity.ItdmWenxiangHistory8;
import org.jeecg.modules.itdmWenxiangHistory.service.IItdmWenxiangHistory8Service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.extern.slf4j.Slf4j;

import org.jeecgframework.poi.excel.ExcelImportUtil;
import org.jeecgframework.poi.excel.def.NormalExcelConstants;
import org.jeecgframework.poi.excel.entity.ExportParams;
import org.jeecgframework.poi.excel.entity.ImportParams;
import org.jeecgframework.poi.excel.view.JeecgEntityExcelView;
import org.jeecg.common.system.base.controller.JeecgController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.multipart.MultipartHttpServletRequest;
import org.springframework.web.servlet.ModelAndView;
import com.alibaba.fastjson.JSON;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.jeecg.common.aspect.annotation.AutoLog;

 /**
 * @Description: 8立方温箱历史数据
 * @Author: jeecg-boot
 * @Date:   2023-07-24
 * @Version: V1.0
 */
@Api(tags="8立方温箱历史数据")
@RestController
@RequestMapping("/itdmWenxiangHistory/itdmWenxiangHistory8")
@Slf4j
public class ItdmWenxiangHistory8Controller extends JeecgController<ItdmWenxiangHistory8, IItdmWenxiangHistory8Service> {
	@Autowired
	private IItdmWenxiangHistory8Service itdmWenxiangHistory8Service;

	 /**
	  * 导出excel
	  *
	  * @param request
	  * @param itdmWenxiangHistory8
	  */
	 //@RequiresPermissions("org.jeecg.modules:itdm_wenxiang_history8:exportXls")
	 @RequestMapping(value = "/exportXls")
	 public ModelAndView exportXls(HttpServletRequest request, ItdmWenxiangHistory8 itdmWenxiangHistory8) {
		 return super.exportXls(request, itdmWenxiangHistory8, ItdmWenxiangHistory8.class, "8立方温箱历史数据");
	 }

	 /**
	 * 分页列表查询
	 *
	 * @param itdmWenxiangHistory8
	 * @param pageNo
	 * @param pageSize
	 * @param req
	 * @return
	 */
	//@AutoLog(value = "8立方温箱历史数据-分页列表查询")
	@ApiOperation(value="8立方温箱历史数据-分页列表查询", notes="8立方温箱历史数据-分页列表查询")
	@GetMapping(value = "/list")
	public Result<IPage<ItdmWenxiangHistory8>> queryPageList(ItdmWenxiangHistory8 itdmWenxiangHistory8,
								   @RequestParam(name="pageNo", defaultValue="1") Integer pageNo,
								   @RequestParam(name="pageSize", defaultValue="10") Integer pageSize,
								   HttpServletRequest req) {
		QueryWrapper<ItdmWenxiangHistory8> queryWrapper = QueryGenerator.initQueryWrapper(itdmWenxiangHistory8, req.getParameterMap());
		Page<ItdmWenxiangHistory8> page = new Page<ItdmWenxiangHistory8>(pageNo, pageSize);
		IPage<ItdmWenxiangHistory8> pageList = itdmWenxiangHistory8Service.page(page, queryWrapper);
		return Result.OK(pageList);
	}

	/**
	 *   添加
	 *
	 * @param itdmWenxiangHistory8
	 * @return
	 */
	@AutoLog(value = "8立方温箱历史数据-添加")
	@ApiOperation(value="8立方温箱历史数据-添加", notes="8立方温箱历史数据-添加")
	//@RequiresPermissions("org.jeecg.modules:itdm_wenxiang_history8:add")
	@PostMapping(value = "/add")
	public Result<String> add(@RequestBody ItdmWenxiangHistory8 itdmWenxiangHistory8) {
		itdmWenxiangHistory8Service.save(itdmWenxiangHistory8);
		return Result.OK("添加成功！");
	}

	/**
	 *  编辑
	 *
	 * @param itdmWenxiangHistory8
	 * @return
	 */
	@AutoLog(value = "8立方温箱历史数据-编辑")
	@ApiOperation(value="8立方温箱历史数据-编辑", notes="8立方温箱历史数据-编辑")
	//@RequiresPermissions("org.jeecg.modules:itdm_wenxiang_history8:edit")
	@RequestMapping(value = "/edit", method = {RequestMethod.PUT,RequestMethod.POST})
	public Result<String> edit(@RequestBody ItdmWenxiangHistory8 itdmWenxiangHistory8) {
		itdmWenxiangHistory8Service.updateById(itdmWenxiangHistory8);
		return Result.OK("编辑成功!");
	}

	/**
	 *   通过id删除
	 *
	 * @param id
	 * @return
	 */
	@AutoLog(value = "8立方温箱历史数据-通过id删除")
	@ApiOperation(value="8立方温箱历史数据-通过id删除", notes="8立方温箱历史数据-通过id删除")
	//@RequiresPermissions("org.jeecg.modules:itdm_wenxiang_history8:delete")
	@DeleteMapping(value = "/delete")
	public Result<String> delete(@RequestParam(name="id",required=true) String id) {
		itdmWenxiangHistory8Service.removeById(id);
		return Result.OK("删除成功!");
	}

	/**
	 *  批量删除
	 *
	 * @param ids
	 * @return
	 */
	@AutoLog(value = "8立方温箱历史数据-批量删除")
	@ApiOperation(value="8立方温箱历史数据-批量删除", notes="8立方温箱历史数据-批量删除")
	//@RequiresPermissions("org.jeecg.modules:itdm_wenxiang_history8:deleteBatch")
	@DeleteMapping(value = "/deleteBatch")
	public Result<String> deleteBatch(@RequestParam(name="ids",required=true) String ids) {
		this.itdmWenxiangHistory8Service.removeByIds(Arrays.asList(ids.split(",")));
		return Result.OK("批量删除成功!");
	}

	/**
	 * 通过id查询
	 *
	 * @param id
	 * @return
	 */
	//@AutoLog(value = "8立方温箱历史数据-通过id查询")
	@ApiOperation(value="8立方温箱历史数据-通过id查询", notes="8立方温箱历史数据-通过id查询")
	@GetMapping(value = "/queryById")
	public Result<ItdmWenxiangHistory8> queryById(@RequestParam(name="id",required=true) String id) {
		ItdmWenxiangHistory8 itdmWenxiangHistory8 = itdmWenxiangHistory8Service.getById(id);
		if(itdmWenxiangHistory8==null) {
			return Result.error("未找到对应数据");
		}
		return Result.OK(itdmWenxiangHistory8);
	}

    /**
      * 通过excel导入数据
    *
    * @param request
    * @param response
    * @return
    */
    //@RequiresPermissions("itdm_wenxiang_history8:importExcel")
    @RequestMapping(value = "/importExcel", method = RequestMethod.POST)
    public Result<?> importExcel(HttpServletRequest request, HttpServletResponse response) {
        return super.importExcel(request, response, ItdmWenxiangHistory8.class);
    }

}
