package org.jeecg.modules.itdmWenxiangHistory.controller;

import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.system.query.QueryGenerator;
import org.jeecg.common.util.oConvertUtils;
import org.jeecg.modules.itdmWenxiangHistory.entity.ItdmWenxiangHistoryMj;
import org.jeecg.modules.itdmWenxiangHistory.service.IItdmWenxiangHistoryMjService;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.extern.slf4j.Slf4j;

import org.jeecgframework.poi.excel.ExcelImportUtil;
import org.jeecgframework.poi.excel.def.NormalExcelConstants;
import org.jeecgframework.poi.excel.entity.ExportParams;
import org.jeecgframework.poi.excel.entity.ImportParams;
import org.jeecgframework.poi.excel.view.JeecgEntityExcelView;
import org.jeecg.common.system.base.controller.JeecgController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.multipart.MultipartHttpServletRequest;
import org.springframework.web.servlet.ModelAndView;
import com.alibaba.fastjson.JSON;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.jeecg.common.aspect.annotation.AutoLog;

 /**
 * @Description: 霉菌温箱历史数据
 * @Author: jeecg-boot
 * @Date:   2023-07-24
 * @Version: V1.0
 */
@Api(tags="霉菌温箱历史数据")
@RestController
@RequestMapping("/itdmWenxiangHistory/itdmWenxiangHistoryMj")
@Slf4j
public class ItdmWenxiangHistoryMjController extends JeecgController<ItdmWenxiangHistoryMj, IItdmWenxiangHistoryMjService> {
	@Autowired
	private IItdmWenxiangHistoryMjService itdmWenxiangHistoryMjService;

	 /**
	  * 导出excel
	  *
	  * @param request
	  * @param itdmWenxiangHistoryMj
	  */
	 //@RequiresPermissions("org.jeecg.modules:itdm_wenxiang_history_mj:exportXls")
	 @RequestMapping(value = "/exportXls")
	 public ModelAndView exportXls(HttpServletRequest request, ItdmWenxiangHistoryMj itdmWenxiangHistoryMj) {
		 return super.exportXls(request, itdmWenxiangHistoryMj, ItdmWenxiangHistoryMj.class, "霉菌温箱历史数据");
	 }

	 /**
	 * 分页列表查询
	 *
	 * @param itdmWenxiangHistoryMj
	 * @param pageNo
	 * @param pageSize
	 * @param req
	 * @return
	 */
	//@AutoLog(value = "霉菌温箱历史数据-分页列表查询")
	@ApiOperation(value="霉菌温箱历史数据-分页列表查询", notes="霉菌温箱历史数据-分页列表查询")
	@GetMapping(value = "/list")
	public Result<IPage<ItdmWenxiangHistoryMj>> queryPageList(ItdmWenxiangHistoryMj itdmWenxiangHistoryMj,
								   @RequestParam(name="pageNo", defaultValue="1") Integer pageNo,
								   @RequestParam(name="pageSize", defaultValue="10") Integer pageSize,
								   HttpServletRequest req) {
		QueryWrapper<ItdmWenxiangHistoryMj> queryWrapper = QueryGenerator.initQueryWrapper(itdmWenxiangHistoryMj, req.getParameterMap());
		Page<ItdmWenxiangHistoryMj> page = new Page<ItdmWenxiangHistoryMj>(pageNo, pageSize);
		IPage<ItdmWenxiangHistoryMj> pageList = itdmWenxiangHistoryMjService.page(page, queryWrapper);
		return Result.OK(pageList);
	}

	/**
	 *   添加
	 *
	 * @param itdmWenxiangHistoryMj
	 * @return
	 */
	@AutoLog(value = "霉菌温箱历史数据-添加")
	@ApiOperation(value="霉菌温箱历史数据-添加", notes="霉菌温箱历史数据-添加")
	//@RequiresPermissions("org.jeecg.modules:itdm_wenxiang_history_mj:add")
	@PostMapping(value = "/add")
	public Result<String> add(@RequestBody ItdmWenxiangHistoryMj itdmWenxiangHistoryMj) {
		itdmWenxiangHistoryMjService.save(itdmWenxiangHistoryMj);
		return Result.OK("添加成功！");
	}

	/**
	 *  编辑
	 *
	 * @param itdmWenxiangHistoryMj
	 * @return
	 */
	@AutoLog(value = "霉菌温箱历史数据-编辑")
	@ApiOperation(value="霉菌温箱历史数据-编辑", notes="霉菌温箱历史数据-编辑")
	//@RequiresPermissions("org.jeecg.modules:itdm_wenxiang_history_mj:edit")
	@RequestMapping(value = "/edit", method = {RequestMethod.PUT,RequestMethod.POST})
	public Result<String> edit(@RequestBody ItdmWenxiangHistoryMj itdmWenxiangHistoryMj) {
		itdmWenxiangHistoryMjService.updateById(itdmWenxiangHistoryMj);
		return Result.OK("编辑成功!");
	}

	/**
	 *   通过id删除
	 *
	 * @param id
	 * @return
	 */
	@AutoLog(value = "霉菌温箱历史数据-通过id删除")
	@ApiOperation(value="霉菌温箱历史数据-通过id删除", notes="霉菌温箱历史数据-通过id删除")
	//@RequiresPermissions("org.jeecg.modules:itdm_wenxiang_history_mj:delete")
	@DeleteMapping(value = "/delete")
	public Result<String> delete(@RequestParam(name="id",required=true) String id) {
		itdmWenxiangHistoryMjService.removeById(id);
		return Result.OK("删除成功!");
	}

	/**
	 *  批量删除
	 *
	 * @param ids
	 * @return
	 */
	@AutoLog(value = "霉菌温箱历史数据-批量删除")
	@ApiOperation(value="霉菌温箱历史数据-批量删除", notes="霉菌温箱历史数据-批量删除")
	//@RequiresPermissions("org.jeecg.modules:itdm_wenxiang_history_mj:deleteBatch")
	@DeleteMapping(value = "/deleteBatch")
	public Result<String> deleteBatch(@RequestParam(name="ids",required=true) String ids) {
		this.itdmWenxiangHistoryMjService.removeByIds(Arrays.asList(ids.split(",")));
		return Result.OK("批量删除成功!");
	}

	/**
	 * 通过id查询
	 *
	 * @param id
	 * @return
	 */
	//@AutoLog(value = "霉菌温箱历史数据-通过id查询")
	@ApiOperation(value="霉菌温箱历史数据-通过id查询", notes="霉菌温箱历史数据-通过id查询")
	@GetMapping(value = "/queryById")
	public Result<ItdmWenxiangHistoryMj> queryById(@RequestParam(name="id",required=true) String id) {
		ItdmWenxiangHistoryMj itdmWenxiangHistoryMj = itdmWenxiangHistoryMjService.getById(id);
		if(itdmWenxiangHistoryMj==null) {
			return Result.error("未找到对应数据");
		}
		return Result.OK(itdmWenxiangHistoryMj);
	}

    /**
      * 通过excel导入数据
    *
    * @param request
    * @param response
    * @return
    */
    //@RequiresPermissions("itdm_wenxiang_history_mj:importExcel")
    @RequestMapping(value = "/importExcel", method = RequestMethod.POST)
    public Result<?> importExcel(HttpServletRequest request, HttpServletResponse response) {
        return super.importExcel(request, response, ItdmWenxiangHistoryMj.class);
    }

}
