package org.jeecg.modules.itdmYuzhi.controller;

import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.system.query.QueryGenerator;
import org.jeecg.common.util.oConvertUtils;
import org.jeecg.modules.itdmYuzhi.entity.ItdmYuzhi;
import org.jeecg.modules.itdmYuzhi.service.IItdmYuzhiService;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.extern.slf4j.Slf4j;

import org.jeecgframework.poi.excel.ExcelImportUtil;
import org.jeecgframework.poi.excel.def.NormalExcelConstants;
import org.jeecgframework.poi.excel.entity.ExportParams;
import org.jeecgframework.poi.excel.entity.ImportParams;
import org.jeecgframework.poi.excel.view.JeecgEntityExcelView;
import org.jeecg.common.system.base.controller.JeecgController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.multipart.MultipartHttpServletRequest;
import org.springframework.web.servlet.ModelAndView;
import com.alibaba.fastjson.JSON;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.jeecg.common.aspect.annotation.AutoLog;

 /**
 * @Description: 阈值管理
 * @Author: jeecg-boot
 * @Date:   2023-05-18
 * @Version: V1.0
 */
@Api(tags="阈值管理")
@RestController
@RequestMapping("/itdmYuzhi/itdmYuzhi")
@Slf4j
public class ItdmYuzhiController extends JeecgController<ItdmYuzhi, IItdmYuzhiService> {
	@Autowired
	private IItdmYuzhiService itdmYuzhiService;
	
	/**
	 * 分页列表查询
	 *
	 * @param itdmYuzhi
	 * @param pageNo
	 * @param pageSize
	 * @param req
	 * @return
	 */
	//@AutoLog(value = "阈值管理-分页列表查询")
	@ApiOperation(value="阈值管理-分页列表查询", notes="阈值管理-分页列表查询")
	@GetMapping(value = "/list")
	public Result<IPage<ItdmYuzhi>> queryPageList(ItdmYuzhi itdmYuzhi,
								   @RequestParam(name="pageNo", defaultValue="1") Integer pageNo,
								   @RequestParam(name="pageSize", defaultValue="10") Integer pageSize,
								   HttpServletRequest req) {
		QueryWrapper<ItdmYuzhi> queryWrapper = QueryGenerator.initQueryWrapper(itdmYuzhi, req.getParameterMap());
		Page<ItdmYuzhi> page = new Page<ItdmYuzhi>(pageNo, pageSize);
		IPage<ItdmYuzhi> pageList = itdmYuzhiService.page(page, queryWrapper);
		return Result.OK(pageList);
	}
	
	/**
	 *   添加
	 *
	 * @param itdmYuzhi
	 * @return
	 */
	@AutoLog(value = "阈值管理-添加")
	@ApiOperation(value="阈值管理-添加", notes="阈值管理-添加")
	//@RequiresPermissions("org.jeecg.modules:itdm_yuzhi:add")
	@PostMapping(value = "/add")
	public Result<String> add(@RequestBody ItdmYuzhi itdmYuzhi) {
		itdmYuzhiService.save(itdmYuzhi);
		return Result.OK("添加成功！");
	}
	
	/**
	 *  编辑
	 *
	 * @param itdmYuzhi
	 * @return
	 */
	@AutoLog(value = "阈值管理-编辑")
	@ApiOperation(value="阈值管理-编辑", notes="阈值管理-编辑")
	//@RequiresPermissions("org.jeecg.modules:itdm_yuzhi:edit")
	@RequestMapping(value = "/edit", method = {RequestMethod.PUT,RequestMethod.POST})
	public Result<String> edit(@RequestBody ItdmYuzhi itdmYuzhi) {
		itdmYuzhiService.updateById(itdmYuzhi);
		return Result.OK("编辑成功!");
	}
	
	/**
	 *   通过id删除
	 *
	 * @param id
	 * @return
	 */
	@AutoLog(value = "阈值管理-通过id删除")
	@ApiOperation(value="阈值管理-通过id删除", notes="阈值管理-通过id删除")
	//@RequiresPermissions("org.jeecg.modules:itdm_yuzhi:delete")
	@DeleteMapping(value = "/delete")
	public Result<String> delete(@RequestParam(name="id",required=true) String id) {
		itdmYuzhiService.removeById(id);
		return Result.OK("删除成功!");
	}
	
	/**
	 *  批量删除
	 *
	 * @param ids
	 * @return
	 */
	@AutoLog(value = "阈值管理-批量删除")
	@ApiOperation(value="阈值管理-批量删除", notes="阈值管理-批量删除")
	//@RequiresPermissions("org.jeecg.modules:itdm_yuzhi:deleteBatch")
	@DeleteMapping(value = "/deleteBatch")
	public Result<String> deleteBatch(@RequestParam(name="ids",required=true) String ids) {
		this.itdmYuzhiService.removeByIds(Arrays.asList(ids.split(",")));
		return Result.OK("批量删除成功!");
	}
	
	/**
	 * 通过id查询
	 *
	 * @param id
	 * @return
	 */
	//@AutoLog(value = "阈值管理-通过id查询")
	@ApiOperation(value="阈值管理-通过id查询", notes="阈值管理-通过id查询")
	@GetMapping(value = "/queryById")
	public Result<ItdmYuzhi> queryById(@RequestParam(name="id",required=true) String id) {
		ItdmYuzhi itdmYuzhi = itdmYuzhiService.getById(id);
		if(itdmYuzhi==null) {
			return Result.error("未找到对应数据");
		}
		return Result.OK(itdmYuzhi);
	}

    /**
    * 导出excel
    *
    * @param request
    * @param itdmYuzhi
    */
    //@RequiresPermissions("org.jeecg.modules:itdm_yuzhi:exportXls")
    @RequestMapping(value = "/exportXls")
    public ModelAndView exportXls(HttpServletRequest request, ItdmYuzhi itdmYuzhi) {
        return super.exportXls(request, itdmYuzhi, ItdmYuzhi.class, "阈值管理");
    }

    /**
      * 通过excel导入数据
    *
    * @param request
    * @param response
    * @return
    */
    //@RequiresPermissions("itdm_yuzhi:importExcel")
    @RequestMapping(value = "/importExcel", method = RequestMethod.POST)
    public Result<?> importExcel(HttpServletRequest request, HttpServletResponse response) {
        return super.importExcel(request, response, ItdmYuzhi.class);
    }

}
