package org.jeecg.modules.itdmgongdanshuju.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.jeecg.common.aspect.annotation.Dict;
import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 工单数据
 * @Author: jeecg-boot
 * @Date:   2023-05-25
 * @Version: V1.0
 */
@Data
@TableName("itdm_gongdan_shuju")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="itdm_gongdan_shuju对象", description="工单数据")
public class ItdmGongdanShuju implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
	/**工单id*/
	//@Excel(name = "工单id", width = 15)
    @ApiModelProperty(value = "工单id")
    private java.lang.String woId;
	/**试验类型*/
	//@Excel(name = "试验类型", width = 15, dicCode = "shiiyan_type")
	@Dict(dicCode = "shiiyan_type")
    @ApiModelProperty(value = "试验类型")
    private java.lang.String shiyanType;
	/**试验开始时间*/
	//@Excel(name = "试验开始时间", width = 15)
    @ApiModelProperty(value = "试验时间")
    private java.lang.String shiyanDateTime;


	/**频次*/
	//@Excel(name = "频次", width = 15)
    @ApiModelProperty(value = "频次")
    private java.lang.String pinci;
	/**生成的时间*/
	//@Excel(name = "生成的时间", width = 15)
    @ApiModelProperty(value = "生成的时间")
    private java.lang.String shiyanTime;
	/**试验数据温度*/
	//@Excel(name = "试验数据温度", width = 15)
    @ApiModelProperty(value = "试验数据温度")
    private java.lang.String shiyanWendu;
	/**试验数据湿度*/
	//@Excel(name = "试验数据湿度", width = 15)
    @ApiModelProperty(value = "试验数据湿度")
    private java.lang.String shiyanShidu;
	/**试验图片*/
	//@Excel(name = "试验图片", width = 15)
    @ApiModelProperty(value = "试验图片")
    private java.lang.String extraPic;
	/**备注*/
	//@Excel(name = "备注", width = 15)
    @ApiModelProperty(value = "备注")
    private java.lang.String remark;
}
