package org.jeecg.modules.jixiaoPersonPrice.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Select;
import org.jeecg.modules.jixiaoPersonPrice.dto.JixiaoPersonPriceExportDTO;
import org.jeecg.modules.jixiaoPersonPrice.entity.JixiaoPersonPrice;

import java.util.List;
import java.util.Map;

/**
 * @Description: 人员绩效提成
 * @Author: jeecg-boot
 * @Date:   2023-09-04
 * @Version: V1.0
 */
public interface JixiaoPersonPriceMapper extends BaseMapper<JixiaoPersonPrice> {

    /**查询规定时间内完结的委托对应的绩效导出的人员*/
    @Select("SELECT DISTINCT jixiao_person FROM itdm_jixiao_person_price WHERE jixiao_person != '' AND " +
            "create_time BETWEEN #{beginDate} AND #{endDate}")
    public List<String> selectPersonByDate(JixiaoPersonPriceExportDTO dto);

    /**查询导出的人员绩效*/
    public List<List<Map>> exportPersonJX(JixiaoPersonPriceExportDTO dto);

}
