package org.jeecg.modules.jixiaoPersonPrice.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.apache.shiro.SecurityUtils;
import org.jeecg.common.system.query.QueryGenerator;
import org.jeecg.common.system.vo.LoginUser;
import org.jeecg.common.util.oConvertUtils;
import org.jeecg.modules.jixiaoPersonPrice.dto.JixiaoPersonPriceExportDTO;
import org.jeecg.modules.jixiaoPersonPrice.entity.JixiaoPersonPrice;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.jixiaoPersonPrice.vo.JixiaoPersonPriceExportVO;
import org.jeecgframework.poi.excel.def.NormalExcelConstants;
import org.jeecgframework.poi.excel.entity.ExportParams;
import org.jeecgframework.poi.excel.view.JeecgEntityExcelView;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.servlet.ModelAndView;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Arrays;
import java.util.List;
import java.util.Map;

/**
 * @Description: 人员绩效提成
 * @Author: jeecg-boot
 * @Date:   2023-09-04
 * @Version: V1.0
 */
public interface IJixiaoPersonPriceService extends IService<JixiaoPersonPrice> {

    /**查询规定时间内完结的委托对应的绩效导出的人员*/
    public List<String> selectPersonByDate(JixiaoPersonPriceExportDTO dto);

    /**查询导出的人员绩效*/
    public List<Map<String,String>> exportPersonJX(JixiaoPersonPriceExportDTO dto);

    /**
     * 人员绩效——按时间导出excel
     *
     */
    public ModelAndView exportXlsByTime(HttpServletResponse response, List<Map<String,String>> exportList, String title);

}
