package org.jeecg.modules.largeScreen.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;


@Data
@Accessors(chain = true)
public class ItdmAlarmNowWSVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**实时报警id*/
    @ApiModelProperty(value = "实时报警id")
    private java.lang.Integer id;
    /**设备名称*/
    @Excel(name = "设备名称", width = 15)
    @ApiModelProperty(value = "设备名称")
    private java.lang.String deviceName;
    /**数据类型*/
    @Excel(name = "数据类型", width = 15)
    @ApiModelProperty(value = "数据类型")
    private java.lang.String valueType;
    /**数据实时值*/
    @Excel(name = "数据实时值", width = 15)
    @ApiModelProperty(value = "数据实时值")
    private java.math.BigDecimal value;
    /**数据上限*/
    @Excel(name = "数据上限", width = 15)
    @ApiModelProperty(value = "数据上限")
    private java.math.BigDecimal maxValue;
    /**数据下限*/
    @Excel(name = "数据下限", width = 15)
    @ApiModelProperty(value = "数据下限")
    private java.math.BigDecimal minValue;
    /** 报警信息 */
    @Excel(name = "报警信息", width = 15)
    @ApiModelProperty(value = "报警信息")
    private java.lang.String alarmMessage;
    /**修改日期*/
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改日期")
    private java.util.Date createTime;
    /**是否语音播报 0关闭1开启*/
    @Excel(name = "是否语音播报", width = 15, dicCode = "voice_status")
    @Dict(dicCode = "voice_status")
    @ApiModelProperty(value = "是否语音播报,0关闭1开启")
    private java.lang.Integer voiceStatus;
    /** 数据类型（1数据报警 2通电变温预警 3设备启动报警）*/
    @Excel(name = "数据类型（1数据报警 2通电变温预警 3设备启动报警）")
    private java.lang.Integer alarmType;

}
