package org.jeecg.modules.shebei.controller;

import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.system.query.QueryGenerator;
import org.jeecg.common.util.oConvertUtils;
import org.jeecg.modules.shebei.entity.ItdmShiyanShebe;
import org.jeecg.modules.shebei.service.IItdmShiyanShebeService;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.extern.slf4j.Slf4j;

import org.jeecgframework.poi.excel.ExcelImportUtil;
import org.jeecgframework.poi.excel.def.NormalExcelConstants;
import org.jeecgframework.poi.excel.entity.ExportParams;
import org.jeecgframework.poi.excel.entity.ImportParams;
import org.jeecgframework.poi.excel.view.JeecgEntityExcelView;
import org.jeecg.common.system.base.controller.JeecgController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.multipart.MultipartHttpServletRequest;
import org.springframework.web.servlet.ModelAndView;
import com.alibaba.fastjson.JSON;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.jeecg.common.aspect.annotation.AutoLog;

 /**
 * @Description: 试验设备表
 * @Author: jeecg-boot
 * @Date:   2023-07-25
 * @Version: V1.0
 */
@Api(tags="试验设备表")
@RestController
@RequestMapping("/shebei/itdmShiyanShebe")
@Slf4j
public class ItdmShiyanShebeController extends JeecgController<ItdmShiyanShebe, IItdmShiyanShebeService> {
	@Autowired
	private IItdmShiyanShebeService itdmShiyanShebeService;
	
	/**
	 * 分页列表查询
	 *
	 * @param itdmShiyanShebe
	 * @param pageNo
	 * @param pageSize
	 * @param req
	 * @return
	 */
	//@AutoLog(value = "试验设备表-分页列表查询")
	@ApiOperation(value="试验设备表-分页列表查询", notes="试验设备表-分页列表查询")
	@GetMapping(value = "/list")
	public Result<IPage<ItdmShiyanShebe>> queryPageList(ItdmShiyanShebe itdmShiyanShebe,
								   @RequestParam(name="pageNo", defaultValue="1") Integer pageNo,
								   @RequestParam(name="pageSize", defaultValue="10") Integer pageSize,
								   HttpServletRequest req) {
		QueryWrapper<ItdmShiyanShebe> queryWrapper = QueryGenerator.initQueryWrapper(itdmShiyanShebe, req.getParameterMap());
		Page<ItdmShiyanShebe> page = new Page<ItdmShiyanShebe>(pageNo, pageSize);
		IPage<ItdmShiyanShebe> pageList = itdmShiyanShebeService.page(page, queryWrapper);
		return Result.OK(pageList);
	}
	
	/**
	 *   添加
	 *
	 * @param itdmShiyanShebe
	 * @return
	 */
	@AutoLog(value = "试验设备表-添加")
	@ApiOperation(value="试验设备表-添加", notes="试验设备表-添加")
	//@RequiresPermissions("org.jeecg.modules:itdm_shiyan_shebe:add")
	@PostMapping(value = "/add")
	public Result<String> add(@RequestBody ItdmShiyanShebe itdmShiyanShebe) {
		itdmShiyanShebeService.save(itdmShiyanShebe);
		return Result.OK("添加成功！");
	}
	
	/**
	 *  编辑
	 *
	 * @param itdmShiyanShebe
	 * @return
	 */
	@AutoLog(value = "试验设备表-编辑")
	@ApiOperation(value="试验设备表-编辑", notes="试验设备表-编辑")
	//@RequiresPermissions("org.jeecg.modules:itdm_shiyan_shebe:edit")
	@RequestMapping(value = "/edit", method = {RequestMethod.PUT,RequestMethod.POST})
	public Result<String> edit(@RequestBody ItdmShiyanShebe itdmShiyanShebe) {
		itdmShiyanShebeService.updateById(itdmShiyanShebe);
		return Result.OK("编辑成功!");
	}
	
	/**
	 *   通过id删除
	 *
	 * @param id
	 * @return
	 */
	@AutoLog(value = "试验设备表-通过id删除")
	@ApiOperation(value="试验设备表-通过id删除", notes="试验设备表-通过id删除")
	//@RequiresPermissions("org.jeecg.modules:itdm_shiyan_shebe:delete")
	@DeleteMapping(value = "/delete")
	public Result<String> delete(@RequestParam(name="id",required=true) String id) {
		itdmShiyanShebeService.removeById(id);
		return Result.OK("删除成功!");
	}
	
	/**
	 *  批量删除
	 *
	 * @param ids
	 * @return
	 */
	@AutoLog(value = "试验设备表-批量删除")
	@ApiOperation(value="试验设备表-批量删除", notes="试验设备表-批量删除")
	//@RequiresPermissions("org.jeecg.modules:itdm_shiyan_shebe:deleteBatch")
	@DeleteMapping(value = "/deleteBatch")
	public Result<String> deleteBatch(@RequestParam(name="ids",required=true) String ids) {
		this.itdmShiyanShebeService.removeByIds(Arrays.asList(ids.split(",")));
		return Result.OK("批量删除成功!");
	}
	
	/**
	 * 通过id查询
	 *
	 * @param id
	 * @return
	 */
	//@AutoLog(value = "试验设备表-通过id查询")
	@ApiOperation(value="试验设备表-通过id查询", notes="试验设备表-通过id查询")
	@GetMapping(value = "/queryById")
	public Result<ItdmShiyanShebe> queryById(@RequestParam(name="id",required=true) String id) {
		ItdmShiyanShebe itdmShiyanShebe = itdmShiyanShebeService.getById(id);
		if(itdmShiyanShebe==null) {
			return Result.error("未找到对应数据");
		}
		return Result.OK(itdmShiyanShebe);
	}

    /**
    * 导出excel
    *
    * @param request
    * @param itdmShiyanShebe
    */
    //@RequiresPermissions("org.jeecg.modules:itdm_shiyan_shebe:exportXls")
    @RequestMapping(value = "/exportXls")
    public ModelAndView exportXls(HttpServletRequest request, ItdmShiyanShebe itdmShiyanShebe) {
        return super.exportXls(request, itdmShiyanShebe, ItdmShiyanShebe.class, "试验设备表");
    }

    /**
      * 通过excel导入数据
    *
    * @param request
    * @param response
    * @return
    */
    //@RequiresPermissions("itdm_shiyan_shebe:importExcel")
    @RequestMapping(value = "/importExcel", method = RequestMethod.POST)
    public Result<?> importExcel(HttpServletRequest request, HttpServletResponse response) {
        return super.importExcel(request, response, ItdmShiyanShebe.class);
    }

}
