package org.jeecg.modules.weituo.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 委托信息
 * @Author: jeecg-boot
 * @Date:   2023-05-17
 * @Version: V1.0
 */
@Data
@TableName("itdm_weituo_info")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="itdm_weituo_info对象", description="委托信息")
public class ItdmWeituoInfo implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private String sysOrgCode;
	/**委托编号*/
	@Excel(name = "委托编号", width = 15)
    @ApiModelProperty(value = "委托编号")
    private String weituoNo;
	/**委托单位名称*/
	@Excel(name = "委托单位名称", width = 15)
    @ApiModelProperty(value = "委托单位名称")
    private String weituoClient;
	/**委托单位地址*/
	@Excel(name = "委托单位地址", width = 15)
    @ApiModelProperty(value = "委托单位地址")
    private String weituoAddress;
	/**委托联系人*/
	@Excel(name = "委托联系人", width = 15)
    @ApiModelProperty(value = "委托联系人")
    private String weituoLxr;
	/**委托电话*/
	@Excel(name = "委托电话", width = 15)
    @ApiModelProperty(value = "委托电话")
    private String weituoPhone;
	/**委托邮箱*/
	@Excel(name = "委托邮箱", width = 15)
    @ApiModelProperty(value = "委托邮箱")
    private String weituoEmail;
	/**报告用章*/
	@Excel(name = "报告用章", width = 15)
    @ApiModelProperty(value = "报告用章")
    private String bgyz;
	/**报告形式*/
	@Excel(name = "报告形式", width = 15)
    @ApiModelProperty(value = "报告形式")
    private String bgxs;
	/**特殊要求*/
	@Excel(name = "特殊要求", width = 15)
    @ApiModelProperty(value = "特殊要求")
    private String teshuyaoqiu;
	/**审核状态*/
	@Excel(name = "审核状态", width = 15)
    @Dict(dicCode = "shenhe_status")
    @ApiModelProperty(value = "审核状态")
    private String shenheStatus;
	/**审核错误原因*/
	@Excel(name = "审核错误原因", width = 15)
    @ApiModelProperty(value = "审核错误原因")
    private String shenheMsg;
	/**审核时间*/
	@Excel(name = "审核时间", width = 15)
    @ApiModelProperty(value = "审核时间")
    private String shenheTime;
	/**试验条件文件地址*/
	@Excel(name = "试验条件文件地址", width = 15)
    @ApiModelProperty(value = "试验条件文件地址")
    private String tiaojianFile;
    /**委托是否完结（0未完结，1已完结）*/
    @Dict(dicCode = "complete_status")
    @Excel(name = "委托是否完结", width = 15)
    @ApiModelProperty(value = "委托是否完结")
    private String completeStatus;

}
