package org.jeecg.modules.weituo.vo;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Data
public class ItdmWeituoInfoInfoVO {
    private String id;


    private WeituoInfoVO data;


    private List<WeituoYangpin> yangpins;


    private List<WeituoYangPinShiYan> pinShiYans;


    @Getter
    @Setter
    public static final class WeituoInfoVO {
        private String id;

        private String weituoClient;
        /**
         * 委托单位地址
         */
        private String weituoAddress;
        /**
         * 委托联系人
         */
        private String weituoLxr;
        /**
         * 委托电话
         */
        private String weituoPhone;
        /**
         * 委托邮箱
         */
        private String weituoEmail;
        /**
         * 报告用章
         */
        private String bgyz;
        /**
         * 报告形式
         */
        private String bgxs;
        /**
         * 特殊要求
         */
        private String teshuyaoqiu;

        /**
         * 试验条件文件地址
         */
        private String tiaojianFile;

    }


    @Getter
    @Setter
    public static final class WeituoYangpin {

        private String sampleName;


        private String sampleModelSpecification;


        private Integer sampleQuantities;


        private String sampleManufacturer;


    }

    @Getter
    @Setter
    @JsonPropertyOrder({"key", "yangpinKeyId","sampleModelSpecification", "testItems", "standardRequirement", "judgementBasis","yijufile", "beizhu"})

    public static final class WeituoYangPinShiYan {


        /**
         * 样品id——实际是将样品名称返给前端
         */
        private String yangpinKeyId;
        /**
         * 样品规格型号
         */
        private String sampleModelSpecification;
        /**
         * 检测项目
         */
        private String testItems;
        /**
         * 检测依据
         */
        private String standardRequirement;
        /**
         * 判定依据
         */
        private String judgementBasis;



        private String yijufile;

        /**
         * 备注
         */
        private String beizhu;


    }
}
